Last Comment Bug 246078 - (2windows) URLs from other apps result in two Firefox windows or a window and an error dialog (Set as Default Browser does a lousy job creating ddeexec keys)
(2windows)
: URLs from other apps result in two Firefox windows or a window and an error d...
Status: VERIFIED FIXED
[READ COMMENTS #216 & #217 BEFORE POS...
: conversion, fixed-aviary1.0, regression
Product: Firefox
Classification: Client Software
Component: Shell Integration (show other bugs)
: unspecified
: x86 Windows XP
: P1 major with 35 votes (vote)
: Firefox1.0beta
Assigned To: Blake Ross
:
: Robert Strong [:rstrong] (use needinfo to contact me)
Mentors:
: 239385 239561 246164 246674 246958 246979 247056 247059 247072 247080 247087 247224 247328 247336 247342 247355 247379 247625 247774 247901 248066 248067 248157 248346 248513 248593 248595 248696 248712 248782 248784 249065 249066 249090 249094 249163 249207 249230 249255 249293 249319 249391 249412 249442 249451 249454 249523 249716 249732 249900 249901 250219 250350 250383 250575 250626 250634 250789 250798 250808 250947 250996 251047 251164 251386 251415 251435 251457 251524 251564 251575 251942 251962 252042 252284 252615 252776 252832 253024 253170 253402 253450 253568 253737 253797 253989 254200 254201 254324 254423 254426 254484 254653 254856 255997 256011 256022 256080 256212 256312 256341 256343 256800 257244 257246 257322 257449 257893 258090 258108 258330 259336 260144 260547 (view as bug list)
Depends on:
Blocks: 389502
  Show dependency treegraph
 
Reported: 2004-06-09 12:00 PDT by Rizwan Kassim
Modified: 2008-07-02 11:02 PDT (History)
138 users (show)
bugs: blocking‑aviary1.0PR+
bugzilla: blocking‑aviary1.0+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Screenshot of the scenario described in my last comment (124.08 KB, image/jpeg)
2004-07-12 02:29 PDT, Amir Katz
no flags Details
Pls ignore previous attachment, this is the right one (29.23 KB, image/png)
2004-07-12 02:36 PDT, Amir Katz
no flags Details
Pls ignore previous attachment, this is the right one (29.23 KB, image/png)
2004-07-12 02:36 PDT, Amir Katz
no flags Details
Registry patch for link problem (1.85 KB, text/plain)
2004-07-20 05:43 PDT, Robert Pendell
no flags Details
Registry patch for link problem (1018 bytes, text/plain)
2004-07-21 09:57 PDT, Robert Pendell
no flags Details
toolkit patch (which needs review) (2.80 KB, patch)
2004-07-26 18:19 PDT, Blake Ross
no flags Details | Diff | Splinter Review

Description Rizwan Kassim 2004-06-09 12:00:01 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7) Gecko/20040608 Firefox/0.8.0+
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7) Gecko/20040608 Firefox/0.8.0+

If FF is closed, it starts up quick (this isnt the error where Explorer returns
an error message after FF takes too long to open)

My browser settigns might have been weird before with MyIE2, but FF must be
missing some important registry setting for this to occur.

Reproducible: Always
Steps to Reproduce:
Starting from IE, with everything working right, Start, Run,
http://www.google.com, pulls open IE.

Install firefox, make it 'default browser' as it asks and also attempt to do
again from preferences (it won't, it says it already is)

Start, Run, www.google.com ... it pulls open FF. 

Actual Results:  
And gives me a "Windows cannot find 'www.google.com.' Make sure you typed the
name correctly, and then try again... blah.
Comment 1 David Tenser [:djst] 2004-06-09 17:04:00 PDT
Confirming. It actually opens the url you type but it does display the error
message anyway.
Comment 2 psellhorst 2004-06-09 19:55:49 PDT
This sounds like bug 137363.
Comment 3 Rizwan Kassim 2004-06-10 03:09:21 PDT
Comment #9 seems to fix it : http://bugzilla.mozilla.org/show_bug.cgi?id=137363#c9
'Manually deleting the registry key HKEY_CLASSES_ROOT\HTTP\shell\open\ddeexec
seems to fix this problem.'

It still an issue though!
Comment 4 Doug Wright 2004-06-13 14:45:37 PDT
Instead of registry editing - you can also go the file associatiations dialog
box - find the HTTP protocol, and uncheck the 'Use DDE' box under Advanced.

BUT

both of those only apply to HTTP. HTTPS, FTP etc are also affected, and need to
be dealt with in a similar way.
Comment 5 Zach Weinberg 2004-06-15 10:24:41 PDT
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7) Gecko/20040614 Firefox/0.9

Same problem. The registry edit fixed it
Comment 6 John T. Haller (email is bugzilla2@) 2004-06-16 07:25:38 PDT
Seeing this same/similar problem on Firefox 0.9, Windows XP Pro.  When clicking
a link in an email client to launch Firefox, 2 windows are created.  The first
shows the site as expected.  The second, appears to be a downloaded version of
the HTML saved to the temp directory.  So you'll see a path similar to:
file:///C:/DOCUME~1/USERNAM/LOCALS~1/TEMP/

This has been discussed in these mozillaZine topics:
http://forums.mozillazine.org/viewtopic.php?t=85056
http://forums.mozillazine.org/viewtopic.php?t=85196

Another workaround is to do the following:
1. Open Explorer
2. Select Tools and then Folder Options
3. Select the File Types tab
4. Select Extension: (NONE), File Type: HyperText Transfer Protocol
5. Click Advanced toward the bottom of the window
6. In the Edit File Type window, select open and click Edit
7. Clear the DDE message box (which should contain "%1" or similar)
8. Click OK, Click OK
9. Repeat for File Type: HyperText Transfer Protocol with Privacy and FTP

I had opened a new bug after searching bugzilla which I am now marking as a
duplicate of this as this seems to be due to Firefox 0.9 misregistering as the
default web browser under Windows.
http://bugzilla.mozilla.org/show_bug.cgi?id=246979
Comment 7 John T. Haller (email is bugzilla2@) 2004-06-16 07:27:15 PDT
*** Bug 246979 has been marked as a duplicate of this bug. ***
Comment 8 John T. Haller (email is bugzilla2@) 2004-06-16 07:30:08 PDT
(In reply to comment #6)

The workaround I suggest in comment 6 is merely the way to make the
above-indicated registry changes through the Windows interface without usiung
Regedit.
Comment 9 Mike Connor [:mconnor] 2004-06-16 08:11:30 PDT
John, there's a very small number of people in the position to set blocking
flags to + or -.  However, this should stand so I'll leave it.
Comment 10 Mike Connor [:mconnor] 2004-06-16 08:12:39 PDT
*** Bug 247087 has been marked as a duplicate of this bug. ***
Comment 11 John T. Haller (email is bugzilla2@) 2004-06-16 08:16:13 PDT
(In reply to comment #9)
> John, there's a very small number of people in the position to set blocking
> flags to + or -.  However, this should stand so I'll leave it.

Apologies.  I'd assumed it was just a vote for blocking and the bug owner would
have to approve it.
Comment 12 John T. Haller (email is bugzilla2@) 2004-06-16 08:26:32 PDT
Ok, it appears that Firefox does register itself correctly if there is no
default browser set, correctly setting DDE Message blank, Application: FIREFOX,
DDE Application not running blank and Topic: System.

However, if another browser is set to something like IE or Opera, it appears
that Firefox does not correctly alter the DDE Message, Application and DDE
Application Not Running fields.  This corresponds with registry keys:

HKEY_CLASSES_ROOT\HTTP\shell\open\ddeexec\
HKEY_CLASSES_ROOT\HTTP\shell\open\ddeexec\Application
HKEY_CLASSES_ROOT\HTTP\shell\open\ddeexec\ifExec
HKEY_CLASSES_ROOT\HTTP\shell\open\ddeexec\Topic

As an example, if IE was the default browser, the root ddeexec key is left as
"%1",,-1,0,,,, which results in the behaviour outlined in previous comments. 
The key should be cleared when Firefox sets itself as the default browser.
Comment 13 Mike Connor [:mconnor] 2004-06-16 10:53:35 PDT
*** Bug 247072 has been marked as a duplicate of this bug. ***
Comment 14 Mike Connor [:mconnor] 2004-06-16 16:20:16 PDT
*** Bug 246674 has been marked as a duplicate of this bug. ***
Comment 15 Jimmy Buck 2004-06-16 17:08:45 PDT
The solution described in #6 pretty much works, but now when I click on a link 
in Thunderbird 0.7, it doesn't do anything, it just sits there. When I set IE 
back as my default browser, clicking on links in Thunderbird works fine (opens 
link in IE).
Comment 16 Yusuf Goolamabbas 2004-06-16 18:02:47 PDT
*** Bug 247080 has been marked as a duplicate of this bug. ***
Comment 17 Ali Ebrahim 2004-06-16 19:53:29 PDT
*** Bug 247224 has been marked as a duplicate of this bug. ***
Comment 18 Ali Ebrahim 2004-06-16 20:04:47 PDT
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7) Gecko/20040614 Firefox/0.9

Not only does it pop up that error box when you enter a URL into the Run box,
but the default browser setting really does hardly anything at all. If you click
a link from another program, it opens in IE, rather than Firefox, even if
Firefox is already running.
Comment 19 John T. Haller (email is bugzilla2@) 2004-06-16 22:46:17 PDT
It would appear that the HKEY_CLASSES_ROOT\HTTP\shell\open\ddeexec\ and all
subkeys should actually be cleared.  At least, that is the apparent behavior of
Firefox 0.8.  Clearing these does appear to fix the multiple windows and the
error issue.  Firefox 0.9 does still appear to launch a new window for new links
rather than re-using the active one, as 0.8 did (though this may be intentional).

I have a .reg file that should fix the problem on affected systems:
http://johnhaller.com/jh/mozilla/firefox_bug_246078.asp
Comment 20 Wolfgang Frisch 2004-06-17 03:52:01 PDT
Although I've experienced different problems than the previously mentioned, I
believe these are just different symptoms of this bug: When clicking on a link
in  Thunderbird, FireFox does not open a new window but instead loads the URL
into an existing tab although ~useddeexec is set to false in chrome.

My system:
- Windows XP Pro with Service Pack SP1a
- Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7) Gecko/20040614 Firefox/0.9
- Thunderbird version 0.7 (20040616)

My way to the bug:
- Uninstalled Firefox 0.8
- Uninstalled Thunderbird 0.7
- Installed Firefox 0.9 with the default stable installer package
- Installed Thunderbird 0.9 with the default stable installer package
- Checked if ddeexec is set to false
-> Problem described above

Comment #6 - http://bugzilla.mozilla.org/show_bug.cgi?id=246078#c6 - fixed it
for me.

Note that I am not sure if this is related to this bug because I seem to be the
only one with these symptoms both in the mozillazine-thread
http://forums.mozillazine.org/viewtopic.php?t=85196 as well as in the comments
of #246078.
Comment 21 Wolfgang Frisch 2004-06-17 03:57:20 PDT
Corrections to comment #20 :

Correct: I've uninstalled Thunderbird >0.6< and then installed Thunderbird
>0.7<. Sorry to bother you twice.
Comment 22 José Jeria 2004-06-17 09:06:42 PDT
*** Bug 247328 has been marked as a duplicate of this bug. ***
Comment 23 José Jeria 2004-06-17 09:39:10 PDT
*** Bug 247336 has been marked as a duplicate of this bug. ***
Comment 24 lee 2004-06-17 09:55:59 PDT
*** Bug 247342 has been marked as a duplicate of this bug. ***
Comment 25 José Jeria 2004-06-17 10:02:43 PDT
*** Bug 247355 has been marked as a duplicate of this bug. ***
Comment 26 Wolfgang Frisch 2004-06-17 10:39:12 PDT
Update to Comment #20 and Comment #21:
John Haller suggested that I probably didn't use fresh profiles when upgrading
to Firefox 0.9 / Thunderbird 0.7. After I realized that I did not do this for
Thunderbird but used my TB 0.6 profile directory instead, I have tried and
failed to reconstruct the problems which I mentioned above:

- Uninstall Firefox 0.9
- Uninstall Thunderbird 0.7
- Delete "%APPDATA%\Mozilla; %APPDATA%\Thunderbird; %APPDATA%\Talkback;"
- Restore pre-upgrade settings in Control panel\Folder options\File
types\HTTP(s) to: DDE enabled, DDE message: ""%1",,-1,0,,,,
- Install Firefox 0.9 Windows installer package: Gecko/20040614 Firefox/0.9
	* Start Firefox
	* Set as default browser: YES
	* Quit Firefox
- Install Thunderbird 0.7 Windows installer package: version 0.7 (20040616)
	* Start Thunderbird
	* Set as default mail client
	* Create arbitrary test account
	* Write new mail with http://... url in it; File/Save As/Draft
	* Click URL
-> Works! As expected, each click on the link opens a new Firefox window. So
after re-checking "http://www.mozilla.org/products/firefox/releases/#install" my
previous problems are obsolete.

For further testing, I did this:
- Copy "defaults.ini; prefs.js; tabextensions.js; user.js; bookmarks.html" to
the fresh Firefox profile directory
	* Start Firefox
- Install Tabbrowser Extensions by Shimoda Hiroshi / version 1.10.2004052901
	* Close Firefox
- Delete fresh Thunderbird profile
	* Start Thunderbird
	* Cancel wizard
	* Exit Thunderbird
- Copy "abook.mab; mailViews.dat; prefs.js; user.js; Mail\ News\" to the fresh
(#2) thunderbird profile directory
-> Still works fine! Instead of new windows, links now load in new tabs as they
should.

Note that "Control panel\....\File types\HTTP(s)" has still DDE enabled and the
DDE message ""%1",,-1,0,,,, set.
Comment 27 José Jeria 2004-06-17 12:11:37 PDT
*** Bug 247379 has been marked as a duplicate of this bug. ***
Comment 28 John Keller 2004-06-17 14:56:22 PDT
In addendum to comment 26 (Wolfgang Frisch):

I'd uninstalled (via Add/Remove Programs) Firefox 0.8 before installing 0.9, but
imported my old settings. When I ran into the error dialogs, I did a complete
uninstall (Add/Remove Programs, then manually cleaned out *all* references to
firefox, phoenix and mozilla/MOZILL~ in the registry - which were copious - as
well as on drive). Finally, reinstalled Firefox 0.9 and avoided importing any
old settings. No dice. So I doubt it was anything you had control over.

Also, everyone should note that the workaround to get rid of the error dialog
*doesn't* fix the problem of spawning a new window for every url opened (via
links in other apps, opening a shortcut, etc). Firefox 0.8 correctly opened a
new page in the active tab (if the browser wasn't minimized) or in a new window
(if the browser was minimized). This is a pretty big loss of functionality, and
shouldn't get lost among the fact that the error dialog is bothersome.
Comment 29 John T. Haller (email is bugzilla2@) 2004-06-17 15:41:41 PDT
(In reply to comment #28)
> Also, everyone should note that the workaround to get rid of the error dialog
> *doesn't* fix the problem of spawning a new window for every url opened (via
> links in other apps, opening a shortcut, etc). Firefox 0.8 correctly opened a
> new page in the active tab (if the browser wasn't minimized) or in a new window
> (if the browser was minimized). This is a pretty big loss of functionality, and
> shouldn't get lost among the fact that the error dialog is bothersome.

The new windows being launched is, arguably, a seperate issue, as it appears
that Firefox is not handling it in the same way as the previous version.  The
issue at hand isn't just a bothersome error dialog, it is Firefox's failure, in
some instances, to launch links clicked in other programs at all.  Comment 19
clearly states that this doesn't address new windows for clicked links and that
this behavior may be intentional.

If you are concerned with Firefox launching external links in new windows as
opposed to reusing the active window, I would suggest searching for a bug in
bugtraq and opening a new one if one does not exist.  I do recall there being a
debate as to which behavior was correct (reuse active vs launch new) a while
back.  Are we sure this didn't change between 0.8 and 0.9?
Comment 30 Christopher Owens 2004-06-17 19:13:30 PDT
(In reply to comment #29)

> If you are concerned with Firefox launching external links in new windows as
> opposed to reusing the active window, I would suggest searching for a bug in
> bugtraq and opening a new one if one does not exist.  I do recall there being a
> debate as to which behavior was correct (reuse active vs launch new) a while
> back.  Are we sure this didn't change between 0.8 and 0.9?

I logged the "multiple browser windows opening" a week or two ago... still not
got any feedback as to whether this is a bug or a "feature"... I for one hope
its the former.

BUG 245747 if anyone is interested.
Comment 31 Wolfgang Frisch 2004-06-17 19:32:50 PDT
(In reply to comment #28)
> In addendum to comment 26 (Wolfgang Frisch):
> 
> I'd uninstalled (via Add/Remove Programs) Firefox 0.8 before installing 0.9, but
> imported my old settings. When I ran into the error dialogs, I did a complete
> uninstall (Add/Remove Programs, then manually cleaned out *all* references to
> firefox, phoenix and mozilla/MOZILL~ in the registry - which were copious - as
> well as on drive). Finally, reinstalled Firefox 0.9 and avoided importing any
> old settings. No dice. So I doubt it was anything you had control over.
> 
I agree. With Comment #26 I wanted to point out that C20 isn't related to this
bug. My test (part 1) should demonstrate that my initial problem is not
reproducable because it's been a result of erroneous configuration. I would
appreciate if someone deleted C20, C21 & C26 (if possible) because they don't
relate to #246078 but are rather confusing.
Comment 32 Stebs 2004-06-18 07:42:52 PDT
*** Bug 246958 has been marked as a duplicate of this bug. ***
Comment 33 Matthew Kerr 2004-06-19 01:13:40 PDT
I'm getting slightly different problem here.
Uninstalled Firefox 0.8 and Thunderbird 0.6+. Installed Firefox 0.9 and
Thunderbird 0.7. After hosing my installs with Calendar and Enigmime/Enigmail
(Tbird wouldn't start up without not showing on screen and taking 50% CPU, and
Firefox was giving an error on all Flash enabled pages) I clean deleted both
Application Data directories after uninstalling and then reinstalled. 
At this point I noticed that despite setting and checking again the Firefox
preferences whether default browser was set, and also in "set program access and
defaults," IE is being launched from Internet shortcuts on the desktop, as well
as from other applications (such as Trillian message windows).
I used the suggested .reg fix and it doesn't change the behavior. I deleted the
key that was deemed the culprit and no change either. I used a tip from
annoyances.org regarding not being able to change file icon for internet
shortcuts, and ended up losing the entry for File extension: (None) Internet
Shortcut in the File-Types list in Windows Explorer.  Now after being suggested
to look for HTTP and HTTPS protocols (I'm assuming next to URL: IRC, etc) I
notice that I do not have these entries. I have also posted an entry to the
mozillaZine support forum link in the other bug that was reassigned to this one
(was: Outlook opening FF with error and two windows). This isn't a critical
thing, but it would make sense that if you make your browser "default" that
everything would actually open it to view shortcuts and http urls.
Comment 34 Matthew Kerr 2004-06-19 01:18:27 PDT
Sorry to spam but I wanted to add that I was also seeing the problem of windows
not recognizing http, because when I try to create a shortcut on the desktop and
type in http://www.yahoo.com it gives an error about not being able to find it
(but dragging the shortcut from the location bar to the desktop results in a
perfectly fine shortcut that it would have made, had the expected results occurred).
Comment 35 Bernard Alleysson 2004-06-19 04:39:16 PDT
*** Bug 247625 has been marked as a duplicate of this bug. ***
Comment 36 Mike Connor [:mconnor] 2004-06-20 02:09:04 PDT
*** Bug 247774 has been marked as a duplicate of this bug. ***
Comment 37 Ralph P. Schorn 2004-06-20 08:38:38 PDT
Addressing the bug that clicking on a URL in a Thunderbird 0.7 mail just does
nothing instead of opening a Firefox 0.9 window:

In my case, this bug reproducibly occurs only when either more than a single
profile is defined in FF 0.9, or when FF 0.9 is started with the "-p" option
even in case of a single profile. That is, the bug is clearly correlated with a
appearance of that little form for selecting a profile.

The same is true for Thunderbird 0.7 - in the "other direction": When the
profile selector should pop up in normal use, just no mail window comes when
clicking into "mailto:..." within Firefox 0.9.

As it seems to me that code for the profile selector is used both in TB and in
FF, code developers should look here ... All the other tips like registry hacks,
fresh profiles and re-definitions of HTTP in explorer options did NOT work for me.

The bug that two instances of FF 0.9 appear out of TB 0.7 was solved for me - on
another machine with only single profiles - by applying the reg-hack described
in this bug discussion.
Comment 38 ytreza 2004-06-21 03:09:35 PDT
*** Bug 247901 has been marked as a duplicate of this bug. ***
Comment 39 Ali Ebrahim 2004-06-21 23:13:51 PDT
*** Bug 248066 has been marked as a duplicate of this bug. ***
Comment 40 Michael Hendy (Hendikins) 2004-06-22 08:49:53 PDT
*** Bug 248157 has been marked as a duplicate of this bug. ***
Comment 41 Adam Becevello 2004-06-22 08:59:14 PDT
There is a very similar bug to this one (dupe?) filed in the Browser product. 
See bug 137363.
Comment 42 Ali Ebrahim 2004-06-22 09:06:57 PDT
(In reply to comment #41)
> There is a very similar bug to this one (dupe?) filed in the Browser product. 
> See bug 137363.

Yep, but it looks like our default browser code is forked. It used to work fine
in Firefox 0.8, but somewhere between then and 0.9, something went wrong.
Comment 43 Carlos Rodrigues 2004-06-22 14:27:06 PDT
Ok, I removed the above mentioned registry keys (ddeexec) for http, https and
ftp and it seems to have fixed it for me. No problems opening links from
Thunderbird after doing this also.
Comment 44 Ali Ebrahim 2004-06-22 16:40:24 PDT
*** Bug 247056 has been marked as a duplicate of this bug. ***
Comment 45 Ali Ebrahim 2004-06-23 17:39:52 PDT
*** Bug 248346 has been marked as a duplicate of this bug. ***
Comment 46 Ali Ebrahim 2004-06-23 23:52:52 PDT
Since we now have a FIREFOX_0_9_1_BRANCH branch, I can only assume that we're
going to get a 0.9.1 release at some point. If this is the case, we should get a
fix for this bug in for 0.9.1.
Comment 47 Ali Ebrahim 2004-06-24 18:08:52 PDT
Ben Goodger has indicated to me that if someone can write a patch for this issue
by this Sunday morning, he'll consider taking it for 0.9.1. If not, it will have
to wait for 1.0beta.

He pointed out that somewhere between 0.8 and 0.9, we switched from using
winhooks to windowsshellservice, and that possibly looking for differences in
the way they're handled is a good place to start looking.

Maybe March 15/16 is a good place to start looking, based on this blog posting:
http://gemal.dk/archives/000497.html
Comment 48 Bernard Alleysson 2004-06-25 03:52:55 PDT
*** Bug 248595 has been marked as a duplicate of this bug. ***
Comment 49 Robert Pendell 2004-06-25 06:13:56 PDT
This seems to be partly a DDE issue.  I did a test scenario where I set
IExplorer as the default browser the allowed Firefox to setup as the default.
This is what I got.

Before scenario:
HTTP Protocol
Action: open
Application used to perform action: H:\PROGRA~1\MOZILL~2\FIREFOX.EXE -url "%1"
Use DDE: true
	DDE Message: [none]
	Application: FIREFOX
	DDE Application: [none]
	Topic: System
	
After scenario:
HTTP Protocol
Action: open
Application used to perform action: H:\PROGRA~1\MOZILL~2\FIREFOX.EXE -url "%1"
Use DDE: true
	DDE Message: "%1",,-1,0,,,,
	Application: IExplore
	DDE Application: [none]
	Topic: WWW_OpenURL
	
Note that before the scenario this protocol worked fine for opening urls.  No
error message.  After the scenario it started to show the problems described in
the first comment.  The thunderbird issue is non-existant.  Firefox must of at
one time set this up correctly but this is not happening anymore?

Proposed partial fix.


Change DDE settings on HTTP, HTTPS, Gopher, and FTP Protocols to match the
following.

	DDE Message: [none]
	Application: FIREFOX
	DDE Application: [none]
	Topic: System
	
This at least fixes the error dialog.  I don't know if it fixes the thunderbird
issue with the local downloaded version and the online version appearing at the
same time in 2 windows.  I have seen it before but I cannot reproduce it
anymore.  May of been fixed in thunderbird itself?

After reading all comments.... Damn.  This was discussed previously but I will
leave what I was going to say to confirm their findings.  See comments 6-13. 
The Topic entry change probably isn't necessary but I changed Gopher, HTTP,
HTTPS, and FTP to match what I noted above and it works fine.
Comment 50 Oleg Sidletskiy 2004-06-25 16:54:37 PDT
*** Bug 248593 has been marked as a duplicate of this bug. ***
Comment 51 Mike Connor [:mconnor] 2004-06-25 17:14:43 PDT
*** Bug 248696 has been marked as a duplicate of this bug. ***
Comment 52 Zach Spoelstra 2004-06-26 04:06:58 PDT
*** Bug 248712 has been marked as a duplicate of this bug. ***
Comment 53 Oleg Sidletskiy 2004-06-26 23:43:00 PDT
*** Bug 248784 has been marked as a duplicate of this bug. ***
Comment 54 Oleg Sidletskiy 2004-06-26 23:45:42 PDT
*** Bug 248782 has been marked as a duplicate of this bug. ***
Comment 55 Bernie Baillargeon 2004-06-27 20:02:57 PDT
Installed FF .9 and set as default browser, replacing IE6.1, as others note in
these comments above.  
Am running Office Outlook 2000 SP3 as e-mail client, OS i Win XP Pro sp1.
Since having installed FF, At any embedded url in an e-mail, clicking the link
always produces a dialog box opened in "My Documents", titled "Locate Link Browser".
If FF is open, it fires off another copy of FF even though I've got it set for
tabbed browsers.  But it does go to the link.
If FF is not open at the time I select the link, it halts on the above
locate-link dialog.
Hope this helps close one more wrinkle.
Comment 56 Dan Loomis 2004-06-27 20:33:16 PDT
(In reply to comment #55)
Curious.  I have never had these problems in Forte Agent.  Agent is set to use
Windows Registry Settings.  At one time Firefox would open a new window but not
since installing tabbed browser preferences and setting it open external URLs in
a new tab.  

On a fresh Windows 2000 install on my backup system I did notice that a lot of
the internet filetypes were still associated with MSIE, (.html and .shmtl among
others) even after installing both Mozilla 1.7 and Firefox 0.9.0+ (I don't
remember which build)  That system now has Firefox 0.9.1 20040626.   I just put
a copy of Agent that system and tried launching a URL and it worked the same
way.  I wonder if an as yet unidentified application (MS Outlook perhaps?) is
diddling the registry settings for the default browser.   It might also be worth
asking who is having this problem and of these people who used installer vs zip
builds.  I use installer builds.  



Comment 57 Ralph P. Schorn 2004-06-29 05:01:54 PDT
This bug has not been fixed by FF 0.9.1 / TB 0.7.1.
Comment 58 Sam Collett 2004-06-29 06:38:09 PDT
The registry setting that Outlook 2002 (XP) uses for determining the browser
used to open links is in:
HKCU\Software\Microsoft\Office\10.0\Outlook\Preferences\InternetBrowserPath

For Outlook 2003 I would presume it would be
HKCU\Software\Microsoft\Office\11.0\Outlook\Preferences\InternetBrowserPath

Outlook 2000:
HKCU\Software\Microsoft\Office\9.0\Outlook\Preferences\InternetBrowserPath

Outlook 98:
HKCU\Software\Microsoft\Office\8.0\Outlook\Preferences\InternetBrowserPath
Comment 59 Michael Lefevre 2004-06-29 10:16:42 PDT
*** Bug 249065 has been marked as a duplicate of this bug. ***
Comment 60 Michael Lefevre 2004-06-29 10:16:55 PDT
*** Bug 249066 has been marked as a duplicate of this bug. ***
Comment 61 Michael Hendy (Hendikins) 2004-06-29 11:48:09 PDT
*** Bug 249094 has been marked as a duplicate of this bug. ***
Comment 62 Michael Hendy (Hendikins) 2004-06-29 11:52:02 PDT
*** Bug 249090 has been marked as a duplicate of this bug. ***
Comment 63 Mike Connor [:mconnor] 2004-06-29 18:25:36 PDT
*** Bug 247059 has been marked as a duplicate of this bug. ***
Comment 64 Kevin Brosnan 2004-06-29 23:00:47 PDT
*** Bug 249163 has been marked as a duplicate of this bug. ***
Comment 65 Oleg Sidletskiy 2004-06-30 07:20:22 PDT
*** Bug 249207 has been marked as a duplicate of this bug. ***
Comment 66 Joel A. Foner 2004-06-30 07:52:12 PDT
(In reply to comment #12)
> HKEY_CLASSES_ROOT\HTTP\shell\open\ddeexec\
> HKEY_CLASSES_ROOT\HTTP\shell\open\ddeexec\Application
> HKEY_CLASSES_ROOT\HTTP\shell\open\ddeexec\ifExec
> HKEY_CLASSES_ROOT\HTTP\shell\open\ddeexec\Topic
> 
> As an example, if IE was the default browser, the root ddeexec key is left as
> "%1",,-1,0,,,, which results in the behaviour outlined in previous comments. 
> The key should be cleared when Firefox sets itself as the default browser.

I found with 0.9.1 that I had to manually clear the ddeexec key, and that the
Application key still contained IExplore. Changing the Application key to
Firefox resolved both the Start>Run issue and the errors clicking in the Reading
Pane with Outlook 2003.

Joel
Comment 67 Mike Connor [:mconnor] 2004-06-30 09:29:23 PDT
*** Bug 249230 has been marked as a duplicate of this bug. ***
Comment 68 Bill Mason 2004-06-30 10:19:26 PDT
*** Bug 249255 has been marked as a duplicate of this bug. ***
Comment 69 Robert Pendell 2004-06-30 13:37:46 PDT
(In reply to comment #66)
> (In reply to comment #12)
> > HKEY_CLASSES_ROOT\HTTP\shell\open\ddeexec\
> > HKEY_CLASSES_ROOT\HTTP\shell\open\ddeexec\Application
> > HKEY_CLASSES_ROOT\HTTP\shell\open\ddeexec\ifExec
> > HKEY_CLASSES_ROOT\HTTP\shell\open\ddeexec\Topic
> > 
> > As an example, if IE was the default browser, the root ddeexec key is left as
> > "%1",,-1,0,,,, which results in the behaviour outlined in previous comments. 
> > The key should be cleared when Firefox sets itself as the default browser.
> 
> I found with 0.9.1 that I had to manually clear the ddeexec key, and that the
> Application key still contained IExplore. Changing the Application key to
> Firefox resolved both the Start>Run issue and the errors clicking in the Reading
> Pane with Outlook 2003.
> 
> Joel

Which more or less confirms what I put in on comment #49.  Seems to be an issue
with the way Firefox is setting up DDE settings.
Comment 70 Bill Mason 2004-06-30 13:43:18 PDT
*** Bug 249293 has been marked as a duplicate of this bug. ***
Comment 71 Oblio 2004-07-01 05:51:02 PDT
I'm also having similar behavior.  It began after installing v.9 on XP Pro SP1.
 My specific complaint is that Eudora suddenly forgot what to do when a page was
launched.  The frustrating part is that FF launched the page, but Eudora also
asked for a program to handle links.  Now I've selected FF, two windows open
when a link is clicked.

I've since installed v.9.1, and the problem persists.
Comment 72 Bill Mason 2004-07-01 08:17:11 PDT
*** Bug 249391 has been marked as a duplicate of this bug. ***
Comment 73 JR Richardson 2004-07-01 08:58:15 PDT
Same problem.  Unchecking DDE was not an option-- it was already unchecked.  
Edited registry to eliminate leftovers from IE as shown below.  This corrected 
issue.
Comment 74 Bill Mason 2004-07-01 10:41:39 PDT
*** Bug 249442 has been marked as a duplicate of this bug. ***
Comment 75 Maurício Collares Neto [:mauricioc] 2004-07-01 11:41:04 PDT
*** Bug 249451 has been marked as a duplicate of this bug. ***
Comment 76 Kevin Brosnan 2004-07-01 12:11:35 PDT
*** Bug 249454 has been marked as a duplicate of this bug. ***
Comment 77 Ben Hollis 2004-07-01 12:55:02 PDT
Perhaps this bug could get a better Summary, as it's pretty hard to find and a
lot of duplicates are showing up.
Comment 78 jeff griffiths 2004-07-01 13:12:58 PDT
we have an application that attempts to run the shell command 

'start http://my.site.com/foo' this also exhibits this bug with firefox 0.9 for
the same reasons. firefox actually does start correctly, but ther is also an
error message 'windows could not find' yadayada
Comment 79 Robert Pendell 2004-07-01 13:51:03 PDT
(In reply to comment #78)
> we have an application that attempts to run the shell command 
> 
> 'start http://my.site.com/foo' this also exhibits this bug with firefox 0.9 for
> the same reasons. firefox actually does start correctly, but ther is also an
> error message 'windows could not find' yadayada

that's because the start command is really equivelant to the run dialog box.  It
will exhibit the same issues because of that though.
Comment 80 Robert Parenton 2004-07-01 23:11:10 PDT
*** Bug 249523 has been marked as a duplicate of this bug. ***
Comment 81 PikeUK 2004-07-02 13:26:59 PDT
*** Bug 249319 has been marked as a duplicate of this bug. ***
Comment 82 R.K.Aa. 2004-07-03 20:13:03 PDT
*** Bug 249732 has been marked as a duplicate of this bug. ***
Comment 83 James Ross 2004-07-05 13:29:30 PDT
*** Bug 249900 has been marked as a duplicate of this bug. ***
Comment 84 Bill Mason 2004-07-05 13:52:44 PDT
*** Bug 249901 has been marked as a duplicate of this bug. ***
Comment 85 Bernie Baillargeon 2004-07-05 15:24:50 PDT
(In reply to comment #56)
> (In reply to comment #55)
     Dan, I also used installer builds.
     I see now that there are several other similar notes below, in reference to
the browser starting but the dialog looking for a url link handler also pops. 
Even if there are registry settings I might correct to clear this, I'd opt to
wait for a FF build that clears these up - I trust the installer more than I
trust myself to find all of the places that I need to clear up.   
     There are some applications that I'd run that still fire up IE, it appears,
and do not give us an option to reset the browser app.  I hope that these are
reacting to a 'dirty' setting still indicating IE, that had yet been cleared or
reset to FF.  As I encounter them I'll check their registry and if I see
something that might be helpful to the FF team I'll note what I had seen.
     --Bernie
Comment 86 John T. Haller (email is bugzilla2@) 2004-07-05 20:44:22 PDT
I have an updated .reg file workaround that will fix this issue in Windows
Me/2000/XP.  It removes the ddeexec entry entirely.  I have not yet tested it in
Windows 95/98, but it should work.

http://johnhaller.com/jh/mozilla/firefox_bug_246078.asp
Comment 87 John T. Haller (email is bugzilla2@) 2004-07-06 07:21:43 PDT
The .reg workaround mentioned above has been confirmed working on Windows 98.
Comment 88 Jesse Ruderman 2004-07-06 12:03:57 PDT
*** Bug 249412 has been marked as a duplicate of this bug. ***
Comment 89 Nathan Hill 2004-07-07 01:59:13 PDT
There is a seperate bug post for a possibly related issue where a link clicked
in thunderbird (.7 or .71) doesn't launch firefox at all, but will open the page
if firefox is already running. http://bugzilla.mozilla.org/show_bug.cgi?id=247644
Comment 90 Ufuk Kayserilioglu 2004-07-07 02:17:45 PDT
I may be mistaken on this but I think the actual bug may lie in the handling of
the "advanced.system.supportDDEExec" pref. Previously, even though the default
action of HTTP links had the above mentioned DDE action checked, with
"advanced.system.supportDDEExec" pref set to "false", Firefox used to ignore the
DDE action. I believe this might be broken in Firefox, not how it registers
itself with the system.

PS: Also, choosing "Open in New Tab Always" for "Any page load from other
applications" in Tabbrowser Extensions warns you that it will disable
"advanced.system.supportDDEExec" in order to do this. This makes me think that
that functionality is broken.
Comment 91 Ted Mielczarek [:ted.mielczarek] 2004-07-07 10:13:28 PDT
*** Bug 239561 has been marked as a duplicate of this bug. ***
Comment 92 Mike Connor [:mconnor] 2004-07-07 16:49:59 PDT
*** Bug 250219 has been marked as a duplicate of this bug. ***
Comment 93 Bill Mason 2004-07-08 09:58:59 PDT
*** Bug 250383 has been marked as a duplicate of this bug. ***
Comment 94 Ted Mielczarek [:ted.mielczarek] 2004-07-08 11:30:05 PDT
*** Bug 246164 has been marked as a duplicate of this bug. ***
Comment 95 Bill Mason 2004-07-09 07:45:09 PDT
*** Bug 250575 has been marked as a duplicate of this bug. ***
Comment 96 Daniel Morante 2004-07-09 08:57:37 PDT
I would also like to add the fact that Firefox uses short path names when
settings it's self as the defualt.  If I manualy edit the regitrsy and use a
long path namem firefox asks me if I want to set it as default.

This becomes a problem when trying to built costum Windows Installer packages,
which support only long files names.
Comment 97 Bill Mason 2004-07-09 11:20:11 PDT
*** Bug 250626 has been marked as a duplicate of this bug. ***
Comment 98 Ted Mielczarek [:ted.mielczarek] 2004-07-09 11:57:17 PDT
*** Bug 250634 has been marked as a duplicate of this bug. ***
Comment 99 Bill Mason 2004-07-10 13:51:03 PDT
*** Bug 250789 has been marked as a duplicate of this bug. ***
Comment 100 R.K.Aa. 2004-07-10 14:48:58 PDT
*** Bug 250798 has been marked as a duplicate of this bug. ***
Comment 101 Mike Connor [:mconnor] 2004-07-10 19:03:01 PDT
*** Bug 250808 has been marked as a duplicate of this bug. ***
Comment 102 Mike Connor [:mconnor] 2004-07-11 23:58:12 PDT
*** Bug 250947 has been marked as a duplicate of this bug. ***
Comment 103 Amir Katz 2004-07-12 02:20:53 PDT
Now I have a new problem - when I click on an URL in an e-mail (Outlook 2000),
an Windows Explorer search window pops up to 'locate link browser'. At the same
time, FF opens the link w/o any problem.

-- Amir 
Comment 104 Amir Katz 2004-07-12 02:29:29 PDT
Created attachment 152925 [details]
Screenshot of the scenario described in my last comment

In this screenshot you can see the e-mail message. In the first line of the
message is the link. Clicking on it brings up the 'locate link browser' window,
as well as the FireFox window behind.
Comment 105 Amir Katz 2004-07-12 02:36:21 PDT
Created attachment 152926 [details]
Pls ignore previous attachment, this is the right one

Previous attachment was the wrong file
Comment 106 Amir Katz 2004-07-12 02:36:35 PDT
Created attachment 152927 [details]
Pls ignore previous attachment, this is the right one

Previous attachment was the wrong file
Comment 107 Ted Mielczarek [:ted.mielczarek] 2004-07-12 06:10:31 PDT
*** Bug 250996 has been marked as a duplicate of this bug. ***
Comment 108 Bill Mason 2004-07-12 10:48:24 PDT
*** Bug 251047 has been marked as a duplicate of this bug. ***
Comment 109 Robert Pendell 2004-07-13 09:36:42 PDT
(In reply to comment #26 and comment #49)
> Update to Comment #20 and Comment #21:
> John Haller suggested that I probably didn't use fresh profiles when upgrading
> to Firefox 0.9 / Thunderbird 0.7. After I realized that I did not do this for
> Thunderbird but used my TB 0.6 profile directory instead, I have tried and
> failed to reconstruct the problems which I mentioned above:
> 
> - Uninstall Firefox 0.9
> - Uninstall Thunderbird 0.7
> - Delete "%APPDATA%\Mozilla; %APPDATA%\Thunderbird; %APPDATA%\Talkback;"
> - Restore pre-upgrade settings in Control panel\Folder options\File
> types\HTTP(s) to: DDE enabled, DDE message: ""%1",,-1,0,,,,
> - Install Firefox 0.9 Windows installer package: Gecko/20040614 Firefox/0.9
> 	* Start Firefox
> 	* Set as default browser: YES
> 	* Quit Firefox
> - Install Thunderbird 0.7 Windows installer package: version 0.7 (20040616)
> 	* Start Thunderbird
> 	* Set as default mail client
> 	* Create arbitrary test account
> 	* Write new mail with http://... url in it; File/Save As/Draft
> 	* Click URL
> -> Works! As expected, each click on the link opens a new Firefox window. So
> after re-checking "http://www.mozilla.org/products/firefox/releases/#install" my
> previous problems are obsolete.
> 
> For further testing, I did this:
> - Copy "defaults.ini; prefs.js; tabextensions.js; user.js; bookmarks.html" to
> the fresh Firefox profile directory
> 	* Start Firefox
> - Install Tabbrowser Extensions by Shimoda Hiroshi / version 1.10.2004052901
> 	* Close Firefox
> - Delete fresh Thunderbird profile
> 	* Start Thunderbird
> 	* Cancel wizard
> 	* Exit Thunderbird
> - Copy "abook.mab; mailViews.dat; prefs.js; user.js; Mail\ News\" to the fresh
> (#2) thunderbird profile directory
> -> Still works fine! Instead of new windows, links now load in new tabs as they
> should.
> 
> Note that "Control panel\....\File types\HTTP(s)" has still DDE enabled and the
> DDE message ""%1",,-1,0,,,, set.

I tried the above instructions (from comment #26) and it did not work for me at
all.  In fact it was worse than before.  However I tried the information that I
posted earlier which only requires going into Tools -> Folder Options -> and
Filetypes tab.  In there I modified the HTTP, HTTPS, FTP, and GOPHER protocol
DDE settings.  I found the following to be true.  You must blank out the "DDE
Message" box and the "DDE Application Not Running" box.  The second one will be
blank already except for FTP.  You must also change DDE Application from
IExplore to FIREFOX.  You can keep DDE enabled.  This should make it open in new
windows now without causing the error.  Do this for all prototcols that I
mentioned.  DDE Topic can be either System or WWW_OpenURL as it doesn't seem to
matter (made no difference in my test).
Comment 110 Brian Mertens 2004-07-13 10:44:29 PDT
I am experiencing a related problem - I'm not sure if it should be a separate bug?

Our site uses the pipe symbol in our URLs, and when a user clicks on one of our
links from Outlook, Firefox splits our URL on the pipes, and opens mutliple tabs.

e.g. http://example.com/script.php?key=123|abc|456

Firefox will split the URL on the pipe symbol, and open these tabs:
 http://example.com/script.php?key=123
 abc
 456

(I do know the pipe symbol is used in the Options panel to set multiple home
pages, I don't know if that is related. I don't think that should be the
behaviour when links in emails are clicked.)
Comment 111 Mike Connor [:mconnor] 2004-07-13 19:00:29 PDT
last comment is bug 221445.  Yes, it sucks, but its not related to this (but
more obvious with this bug in effect).
Comment 112 Mike Connor [:mconnor] 2004-07-13 23:01:32 PDT
*** Bug 251164 has been marked as a duplicate of this bug. ***
Comment 113 Bill Mason 2004-07-14 08:37:31 PDT
*** Bug 251386 has been marked as a duplicate of this bug. ***
Comment 114 Bill Mason 2004-07-14 10:57:28 PDT
*** Bug 251415 has been marked as a duplicate of this bug. ***
Comment 115 Bill Mason 2004-07-14 12:36:58 PDT
*** Bug 251435 has been marked as a duplicate of this bug. ***
Comment 116 Bill Mason 2004-07-14 15:00:02 PDT
*** Bug 251457 has been marked as a duplicate of this bug. ***
Comment 117 Ali Ebrahim 2004-07-14 17:44:42 PDT
*** Bug 249716 has been marked as a duplicate of this bug. ***
Comment 118 Bill Mason 2004-07-15 01:56:26 PDT
*** Bug 251524 has been marked as a duplicate of this bug. ***
Comment 119 Max 2004-07-15 07:03:41 PDT
there is a fix at http://www.hutteman.com/weblog/2004/06/18-186.html
Comment 120 Ted Mielczarek [:ted.mielczarek] 2004-07-15 07:50:48 PDT
*** Bug 251564 has been marked as a duplicate of this bug. ***
Comment 121 Bill Mason 2004-07-15 08:21:42 PDT
*** Bug 251575 has been marked as a duplicate of this bug. ***
Comment 122 Bill Mason 2004-07-17 16:55:47 PDT
*** Bug 251942 has been marked as a duplicate of this bug. ***
Comment 123 Bill Mason 2004-07-17 23:19:21 PDT
*** Bug 251962 has been marked as a duplicate of this bug. ***
Comment 124 Layne Hansen 2004-07-17 23:34:14 PDT
Please cf bug 250350?
Comment 125 Robert Parenton 2004-07-18 11:35:43 PDT
*** Bug 250350 has been marked as a duplicate of this bug. ***
Comment 126 Ryan Polk (Quark) 2004-07-18 18:13:05 PDT
*** Bug 252042 has been marked as a duplicate of this bug. ***
Comment 127 Amir Katz 2004-07-19 13:39:55 PDT
The 'locate link browser' dialog comes up only if the mail message (where the
URL is) is in plain text or Rich Text. If the mail is HTML, problem does not occur.
Comment 128 Amir Katz 2004-07-20 04:36:31 PDT
I searched in Google and found an explanation identical to comment #6 in this
thread. I finally understood that I need to look (in Folder Options->File
Types") for a line that has externsion  "N/A" and file type "URL: Hypertext...".
Previously I was changing the file type HTML and of course it did not solve the
problem. I guess that there's still an issue the FF does not correctly register
itself as the app to open link in e-mail, but at least it can be fixed.
Comment 129 Robert Pendell 2004-07-20 05:43:55 PDT
Created attachment 153762 [details]
Registry patch for link problem

The registry patch will change the ddeexec keys for http, https, ftp, and
gopher protocols so that they will work properly.  It will ONLY adjust those
keys.  It drops them then rebuilds them to what I have found to be proper
values.  So far DDEexec support in Firefox appears working properly.

To Developers: Verify that in source code that it is indeed setting up the
values to what I have determined correct.
Comment 130 Matt Philmon 2004-07-20 11:13:02 PDT
That registry patch fixed my problems as well. THANK YOU!
Comment 131 u116418 2004-07-20 11:20:08 PDT
<a href=http://bugzilla.mozilla.org/show_bug.cgi?id=239561>Bug 239561</a> had a
patch for this that seemed to work well.
Comment 132 Robert Pendell 2004-07-20 11:27:30 PDT
(In reply to comment #131 and comment #130)

Comment #130:
> That registry patch fixed my problems as well. THANK YOU!

Comment #131:
> <a href=http://bugzilla.mozilla.org/show_bug.cgi?id=239561>Bug 239561</a> had a
> patch for this that seemed to work well.

To both: It is not intended as a permanent fix.  For when the fix is in the
source then the test scenario should be to uninstall Firefox and setup another
browser as default (Internet Explorer for example) then install Firefox and have
it set itself up as the default browser and see if anything gets broken.  The
registry patch will setup DDEexec Topic as System but it can be WWW_OpenURL
without affecting anything.  I think that affects the handler but it seems that
Firefox is capable of using both.

To Phong: Yes.  That patch is the start of fixing the issue it seems.  All they
need to do is add in gopher and ftp protocols and make sure the keys get setup
right. ;)
Comment 133 u116418 2004-07-20 11:35:22 PDT
Robert, I had tried the scenarios you mentioned. There seemed to be no negative
side-effects that I could find. I hadn't thought of looking at Gopher or FTP
however. I would imagine they should be easy to fix (following the same model).
I also am not too familiar with DDE so I'm not sure if in the long run that
change is what's intended.
Comment 134 John T. Haller (email is bugzilla2@) 2004-07-20 12:11:27 PDT
Gopher and FTP are handled the same way and the registry patch posted handles
them.  http, https, ftp and gopher all have a similar issue.  I had actually
removed the dde key entirely from them all in my registry patch mentioned in
comment 86.
Comment 135 Robert Pendell 2004-07-20 12:34:27 PDT
(In reply to comment #134)
> Gopher and FTP are handled the same way and the registry patch posted handles
> them.  http, https, ftp and gopher all have a similar issue.  I had actually
> removed the dde key entirely from them all in my registry patch mentioned in
> comment 86.

Yes.  Removing DDEexec key entirely did fix it for some people but shutting it
off wasn't an option for me as Tabbrowser Extensions relies on it a bit.  I had
to work at it a bit and find proper settings so that everything works as
expected.  Meaning that now if you click on a link in the email client then a
new tab will open instead of a new window.  You might need either Tabbrowser
Extensions or Tabbrowser Preferences installed for this to happen.
Comment 136 Nathan Niesen 2004-07-20 14:33:17 PDT
Leave your DDE settings alone and instead change the file associations
application setting from "IExplorer" to "Firefox"! Worked for me.
Comment 137 Nathan Niesen 2004-07-20 14:44:17 PDT
(In reply to comment #136)
> Leave your DDE settings alone and instead change the file associations
> application setting from "IExplorer" to "Firefox"! Worked for me.

Sorry this should have been leave the DDE message alone and change the DDE
application to Firefox.
Comment 138 Robert Pendell 2004-07-20 14:49:54 PDT
Yes.  Generally speaking that should be enough.  DDE message was not regenerated
in my registry patch because I found it to not be necessary for everything to
function right.  A leftover from IE but it can be left there too.  No harm done.

For users of Windows XP you can do the following.

1. Open My Computer
2. Go to Tools -> Folder Options
3. Go to the File Types tab
4. Scroll down until you find "URL:File Transfer Protocol".  "URL:Gopher
Protocol", "URL:HyperText Transfer Protocol", and "URL:HyperText Transfer
Protocol with Privacy" will follow.  They will show "(NONE)" for the extension.
5. For each one, do the following:
   5a. Select it and click Advanced
   5b. Select "open" in the actions box and click Edit
   5c. Down where it says Application if the box says anything besides Firefox
then change it to that.  Otherwise let it go.

That's all that really needs to be done.  Everything else probably can be left
untouched.  See if that fixes it for anyone that hasn't already used my registry
patch.

Oh and I havn't posted my User-Agent yet so here it is.

Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7) Gecko/20040707 Firefox/0.9.2
Comment 139 Robert Pendell 2004-07-21 09:57:34 PDT
Created attachment 153907 [details]
Registry patch for link problem

This makes the other one obsolete.  A change in the way the registry patch
works so that it doesn't just dump the keys.

This is what the patch does exactly.

Update FTP, HTTP, HTTPS, GOPHER protocols with the following changees

1. Change DDE Application to FIREFOX
2. Delete DDE Message

The removal of DDE Message is necessary.  If you don't then changes to where
external links go does not work in Firefox when using Tabbrowser Preferences or
Tabbrowser Extensions.	It will then always open in the current tab instead of
doing what you set in Tabbrowser Preferences and Tabbrowser Extensions.  Both
rely on DDE for the function.  If you delete the key then it will load in the
current tab, a new tab, or a new window depending on how it was set.

These are the ONLY things it will change.  It will not affect anything else.
Comment 140 mmortal03 2004-07-21 11:47:09 PDT
(In reply to comment #139)
> Created an attachment (id=153907)
> Registry patch for link problem
> 
> This makes the other one obsolete.  A change in the way the registry patch
> works so that it doesn't just dump the keys.
> 
> This is what the patch does exactly.
> 
> Update FTP, HTTP, HTTPS, GOPHER protocols with the following changees
> 
> 1. Change DDE Application to FIREFOX
> 2. Delete DDE Message
> 
> The removal of DDE Message is necessary.  If you don't then changes to where
> external links go does not work in Firefox when using Tabbrowser Preferences or
> Tabbrowser Extensions.	It will then always open in the current tab instead of
> doing what you set in Tabbrowser Preferences and Tabbrowser Extensions.  Both
> rely on DDE for the function.  If you delete the key then it will load in the
> current tab, a new tab, or a new window depending on how it was set.
> 
> These are the ONLY things it will change.  It will not affect anything else.

Interesting that you mention the part about deleting the DDE Messages.  I went
"exploring" through those settings yesterday before you posted this amendment to
your fix, and I removed them on a whim.  But now that you have posted your
message today, it got me thinking, and I decided to test one of the "features"
that was an effect of the DDE messages still being there.  What I had been
experiencing that was actually helpful to me was that when I would click on
Javascript pop-up window link multiple times on the same site, I would get a new
pop-up window each time.  This was very helpful for ESPN Gamecasts, because I
could now open multiple Gamecast windows without having to manually find the
actual Gamecast link for each game.  Without the DDE message, all Gamecast
pop-up links are opened in the same pop-up window.

Well, now that I have removed the DDE messages, I can't just click on each game
anymore.  So my questions are:  What exactly was the default DDE message for IE
for http, so that worse case scenario I can type the message back in manually
for http links to regain this "bug/feature".  Also, is there any alternative
that I can implement, that will allow multiple Javascript popup windows from the
same site?
Comment 141 Robert Pendell 2004-07-21 15:50:31 PDT
(In reply to comment #140)
> 
> Interesting that you mention the part about deleting the DDE Messages.  I went
> "exploring" through those settings yesterday before you posted this amendment to
> your fix, and I removed them on a whim.  But now that you have posted your
> message today, it got me thinking, and I decided to test one of the "features"
> that was an effect of the DDE messages still being there.  What I had been
> experiencing that was actually helpful to me was that when I would click on
> Javascript pop-up window link multiple times on the same site, I would get a new
> pop-up window each time.  This was very helpful for ESPN Gamecasts, because I
> could now open multiple Gamecast windows without having to manually find the
> actual Gamecast link for each game.  Without the DDE message, all Gamecast
> pop-up links are opened in the same pop-up window.
> 
> Well, now that I have removed the DDE messages, I can't just click on each game
> anymore.  So my questions are:  What exactly was the default DDE message for IE
> for http, so that worse case scenario I can type the message back in manually
> for http links to regain this "bug/feature".  Also, is there any alternative
> that I can implement, that will allow multiple Javascript popup windows from the
> same site?


Odd.  It may be intended behavior for the site but point me to the site and I
will see if an extension I have loaded will do it for you.

Anyways in the meantime you can put this back in for DDE Message.

"%1",,-1,0,,,,

That is exactly what was there.  Just copy and paste it back in.

I logged into GMail (which uses javascript to open new windows) and I clicked on
the same link twice in a row.  Each time it opened a new window.  So I don't
really know what is happening.
Comment 142 mmortal03 2004-07-21 16:40:52 PDT
the site is http://sports.espn.go.com/mlb/scoreboard .  Click on any Gamecast
link, then click on the same one, or another, it doesn't matter.  That will
demonstrate the site designer's intended behavior, to open it in the same
window.  While this is the correct behavior, it is not my desired behavior.
Comment 143 Robert Pendell 2004-07-21 17:39:17 PDT
(In reply to comment #142)
> the site is http://sports.espn.go.com/mlb/scoreboard .  Click on any Gamecast
> link, then click on the same one, or another, it doesn't matter.  That will
> demonstrate the site designer's intended behavior, to open it in the same
> window.  While this is the correct behavior, it is not my desired behavior.

Odd.  Because it opens each link in its own window for me.  If I click on the
same link then it will open in the same window it originally did for me.  If I
click on a different link then it will open in a new window.  The same behavior
was shown in Internet Explorer.  Don't know what extensions you have installed
but it sounds like something isn't right.  Try it in Internet Explorer and see
what happens.

User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7)
Gecko/20040721 Firefox/0.9.1+
Comment 144 Ted Mielczarek [:ted.mielczarek] 2004-07-22 07:05:21 PDT
*** Bug 252615 has been marked as a duplicate of this bug. ***
Comment 145 George Brown 2004-07-22 10:51:55 PDT
(In reply to comment #143)
> (In reply to comment #142)
> > the site is http://sports.espn.go.com/mlb/scoreboard .  Click on any Gamecast
> > link, then click on the same one, or another, it doesn't matter.  That will
> > demonstrate the site designer's intended behavior, to open it in the same
> > window.  While this is the correct behavior, it is not my desired behavior.
> 
> Odd.  Because it opens each link in its own window for me.  If I click on the
> same link then it will open in the same window it originally did for me.  If I
> click on a different link then it will open in a new window.  The same behavior
> was shown in Internet Explorer.  Don't know what extensions you have installed
> but it sounds like something isn't right.  Try it in Internet Explorer and see
> what happens.
> 
> User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7)
> Gecko/20040721 Firefox/0.9.1+

Yes, I have the same results as well. Each click generates a new window of its own.
Comment 146 John T. Haller (email is bugzilla2@) 2004-07-22 11:02:27 PDT
(In reply to comment #142)
> the site is http://sports.espn.go.com/mlb/scoreboard .  Click on any Gamecast
> link, then click on the same one, or another, it doesn't matter.  That will
> demonstrate the site designer's intended behavior, to open it in the same
> window.  While this is the correct behavior, it is not my desired behavior.

As others have said, this has nothing to do with this bug.  On my PC, it opens
its own window for each team, as it should.  The Javascript call that opens the
window names it "gamecast" + hteam where hteam is the home team name.  So, each
links should be in its own window.  Perhaps there is something up with your
extensions or install, but I don't think this is related to Firefox registering
itself as the default browser incorrectly.
Comment 147 Robert Pendell 2004-07-22 13:47:47 PDT
(In reply to comment #146)
> (In reply to comment #142)
> > the site is http://sports.espn.go.com/mlb/scoreboard .  Click on any Gamecast
> > link, then click on the same one, or another, it doesn't matter.  That will
> > demonstrate the site designer's intended behavior, to open it in the same
> > window.  While this is the correct behavior, it is not my desired behavior.
> 
> As others have said, this has nothing to do with this bug.  On my PC, it opens
> its own window for each team, as it should.  The Javascript call that opens the
> window names it "gamecast" + hteam where hteam is the home team name.  So, each
> links should be in its own window.  Perhaps there is something up with your
> extensions or install, but I don't think this is related to Firefox registering
> itself as the default browser incorrectly.

I only replied back because I wanted to tell him that it was something else.  He
mentioned that removing the DDE Message entry messed up the site but it seems
that something else did it so I was only letting him know to check something
else.  The fact that others confirmed that the site works correctly on their
systems is just a side-effect.

I'm aware that it was a bit off topic to the bug.
Comment 148 mmortal03 2004-07-22 19:22:45 PDT
OK people, sorry for the bug spam, as it pertained to his registry fix for the
bug, not the bug itself.  OT for the bug but not for the thread, take that as
you will.   Anyway, I have retested it, and the problem I had now works as
others have described, as it should, with or without the DDE message.  So that
ends that.  I don't know what it was I was seeing before.
Comment 149 Bill Mason 2004-07-23 08:42:36 PDT
*** Bug 252776 has been marked as a duplicate of this bug. ***
Comment 150 Ted Mielczarek [:ted.mielczarek] 2004-07-23 09:33:07 PDT
*** Bug 252615 has been marked as a duplicate of this bug. ***
Comment 151 Blake Ross 2004-07-23 13:51:30 PDT
I've just checked in a patch that will hopefully fix this bug. DDE is very
difficult to debug so I'm not positive that it'll work in all cases...I need you
guys to help me test. Many thanks to the people in this bug who provided the
registry workarounds.
Comment 152 Ryan Polk (Quark) 2004-07-23 14:57:05 PDT
A fresh self-build still has the problem for me.

Testing method:
Load IE Options, set it default.
Load Firefox, set it default, close Firefox.
Start -> Run -> http://www.google.com (One error message, one window w/ correct
link).
Textpad (my text editor) link (Error message can't find file, one window w/
correct link).
Comment 153 Bill Mason 2004-07-23 16:45:19 PDT
*** Bug 252832 has been marked as a duplicate of this bug. ***
Comment 154 Blake Ross 2004-07-23 21:18:07 PDT
Sorry folks, this is not yet fixed. Should have a patch this weekend.
Comment 155 mohican 2004-07-24 04:41:23 PDT
I found this when I made the switch from Netscape 6 to Firefox. It also asked me
for a browser link
Comment 156 Ali Ebrahim 2004-07-24 14:09:35 PDT
The new behaviour with the patch checked in is quite odd (!?).

1. Start | Run
2. Type in www.cnn.com , hit enter.
3. Watch Firefox load www.cnn.com and then in statusbar, see "looking up
startdde" (it's doing an I'm feeling lucky search).
4. Watch it spawn a new window with
http://www.redbooks.ibm.com/redbooks/pdfs/sg244239.pdf as the contents.
Comment 157 Peter van der Woude [:Peter6] 2004-07-24 17:55:41 PDT
Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7) Gecko/20040724
Firefox/0.9.1+
->WFM

I am unable to find any erros, it simply works
Comment 158 Robert Pendell 2004-07-24 20:21:16 PDT
Bugs still persists.

What is happening now is that there are 2 windows opened up.  One that does an
autosearch for startdde and the other which opens the url I requested.  Also DDE
support still doesn't appear to be working properly.  I use Tabbrowser
Preferences which is configured to open external links in new tabs.  With the
new version I am unable to get it to do that.  It will still open in new
windows.  Removing the "DDE Message" and "DDE Application Not Running" entries
completely fixed the problems but of course firefox doesn't think it is the
default anymore.  So it will prompt.  I ended up backing up to the previous
build I was using and applying my registry patch.  Maybe the new patch wasn't in
this build yet.

Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7) Gecko/20040724
Firefox/0.9.1+
Comment 159 José Jeria 2004-07-25 01:50:08 PDT
With branch build 20040724 I am getting the same results as Ali, clicking on a
link in thunderbird (for example) opens up 2 windows, one with the link and the
other one with http://www.redbooks.ibm.com/redbooks/pdfs/sg244239.pdf
Comment 160 Bill Mason 2004-07-25 16:37:41 PDT
*** Bug 253024 has been marked as a duplicate of this bug. ***
Comment 161 Oliver Saier 2004-07-26 05:07:05 PDT
(In reply to comment #159)
> With branch build 20040724 I am getting the same results as Ali, clicking on a
> link in thunderbird (for example) opens up 2 windows
Same here... Had fixed it on my system, deleting the **** DDE messages, but
20040724 apparently did it again (DDE Message: "%1",,0,0,,,,)

Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7) Gecko/20040725
Firefox/0.9.1+
Comment 162 Worcester12345 2004-07-26 07:15:50 PDT
(In reply to comment #158)
> Bugs still persists.
> 
> What is happening now is that there are 2 windows opened up.
... Tabbrowser
> Preferences ...

Perhaps you should try this with a clean install and new profile, no extensions
(for now).

Comment 163 joe chang 2004-07-26 12:32:53 PDT
(In reply to comment #162)

> Perhaps you should try this with a clean install and new profile, no extensions
> (for now).

done that before, still doesn't work.  i can have a clean system with a fresh
install of xp only, the problem still persist. 
Comment 164 Bill Mason 2004-07-26 16:06:08 PDT
*** Bug 253170 has been marked as a duplicate of this bug. ***
Comment 165 Worcester12345 2004-07-26 16:28:04 PDT
Now I'm seeing it as well. Confirming.

Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7) Gecko/20040725
Firefox/0.9.1+ (bangbang023)
Comment 166 Worcester12345 2004-07-26 16:30:31 PDT
Now I'm seeing it as well. Confirming.

Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7) Gecko/20040725
Firefox/0.9.1+ (bangbang023)(In reply to comment #159)
> With branch build 20040724 I am getting the same results as Ali, clicking on a
> link in thunderbird (for example) opens up 2 windows, one with the link and the
> other one with http://www.redbooks.ibm.com/redbooks/pdfs/sg244239.pdf


Confirming exact same thing with clicking Thunderbird link and the same .pdf
link comes up.

Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7) Gecko/20040725
Firefox/0.9.1+ (bangbang023)
Comment 167 Blake Ross 2004-07-26 18:19:01 PDT
Created attachment 154418 [details] [diff] [review]
toolkit patch (which needs review)
Comment 168 Blake Ross 2004-07-26 18:24:45 PDT
Okay, I've checked in a different patch. I think this one fixes all the problems.
Note that if you were using a nightly from the last few days--one that contained
the StartDDE error--you will need to delete the
HKEY_CLASSES_ROOT\<protocol>\shell\open\ddeexec\ifexec subkeys, where <protocol>
is all of HTTP, HTTPS, FTP, GOPHER and CHROME. However, simply running a new
build with my patch and then shutting down should take care of that for you,
since it should delete the entire ddeexec subkey on shutdown.
Comment 169 Stebs 2004-07-26 19:38:38 PDT
Just tested the latest tinderbox-build with the patch in.
WFM! (well mostly)
I first set IE as Default Browser then set FF as Default Browser, every link
etc. worked as it should. Great work!
Just one Glitch: The "Firefox should check to see...when starting" check was
"on", but there was no message at startup and IE was still the Default Browser.
"Check now" did the trick... 
Comment 170 Bill Mason 2004-07-28 08:30:14 PDT
*** Bug 253402 has been marked as a duplicate of this bug. ***
Comment 171 Rick Friedman 2004-07-28 08:45:44 PDT
Well, since the 20040727 nightly build, I am now having problems with external
links. 

When I click on a link in another app, a second Firefox window now opens.
Previously, with Tab Browser Preferences installed, the link would open in a new
tab. Now, TBP seems to have no effect. In fact, Firefox seems to overwrite
registry entries everytime it is started. I ran John Haller's registry entries
and that seemd to fix the problem. However, once I restarted Firefox, the
problem returned and the registry entries were back to the way they were previously.

I'm running: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7)
Gecko/20040728 Firefox/0.9.1+ 
Comment 172 José Jeria 2004-07-28 08:51:58 PDT
Also the single window extension dont work anymore, dont know if its related.
This since the patch in comment 151 was checked in. Using latest nightly branch
build.
Comment 173 Greg K Nicholson [:gkn] 2004-07-28 11:27:56 PDT
(In reply to comment #172)
> Also the single window extension dont work anymore, dont know if its related.
> This since the patch in comment 151 was checked in. Using latest nightly branch
> build.

Yes; I can confirm that Single Window and Tabbrowser Preferences don't work as
expected. Single Window opens a second window when the first external link is
followed, and then alternates between the two windows for every subsequent new
tab. (TBP may do the same, I haven't tested it.)

WinXP Gecko/20040727 Firefox/0.9.1+
Comment 174 Worcester12345 2004-07-28 13:27:41 PDT
(In reply to comment #173)
> (In reply to comment #172)
> > Also the single window extension dont work anymore, dont know if its related.
> > This since the patch in comment 151 was checked in. Using latest nightly branch
> > build.
> 
> Yes; I can confirm that Single Window and Tabbrowser Preferences don't work as
> expected. Single Window opens a second window when the first external link is
> followed, and then alternates between the two windows for every subsequent new
> tab. (TBP may do the same, I haven't tested it.)
> 
> WinXP Gecko/20040727 Firefox/0.9.1+



Aha! That's what's causing this. I'm getting the same thing. Kind of a neat
effect, but not desired.

Using: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7) Gecko/20040728
Firefox/0.9.1+ (bangbang023)
Comment 175 Ryan Polk (Quark) 2004-07-28 14:35:50 PDT
*** Bug 253450 has been marked as a duplicate of this bug. ***
Comment 176 Stebs 2004-07-28 16:10:30 PDT
(In reply to comment #169)
> Just one Glitch: The "Firefox should check to see...when starting" check was
> "on", but there was no message at startup and IE was still the Default Browser.
> "Check now" did the trick... 
Someone filed this as bug #253329
Comment 177 Bryce Thomas 2004-07-28 23:17:43 PDT
I am still experiencing this problem with the latest nightly and tinderbox
builds on my Windows XP (Service Pack 2 v.2162) box.

Current FX Build (I use the zip packages):
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7) Gecko/20040728
Firefox/0.9.1+

Extensions:
Tabbrowser Preferences 0.6.8
All-In-One Mouse Gestures 0.12.1
SuperScroll 1.5.2
Close Tab on Double Click 0.1.1

File Associations:
     Action: open
     Application used to perform action: D:\APPS\FIREFOX\FIREFOX.EXE -url "%1"
     Use DDE: checked
     DDE Message: "%1",,0,0,,,, (Will never stay clear)
     Application: Firefox
     DDE Application Not Running: blank
     Topic: WWW_OpenURL

Even after using the registry patch provided in the bug attachments the DDE
Message will not stay blank.

Firefox is set as my default browser.

I have tried removing all Firefox registry entries, creating a new profile, and
using a fresh build, and the same problem still exists.

Always reproducable on my machine:
Start -> Run: http://www.url1.com
Start -> Run: http://www.url2.com
Start -> Run: http://www.url3.com
Start -> Run: http://www.url4.com

Result: url1 opens in new window 1
        url2 opens in new window 2
        url3 opens in new tab in window 1
        url4 opens in new tab in window 2

This is my first comment in a bug report, if this is the wrong procedure please
let me know: brycesub (AT) gmail.com
Comment 178 Ger Teunis 2004-07-29 00:33:55 PDT
(In reply to comment #177)
> I am still experiencing this problem with the latest nightly and tinderbox
> builds on my Windows XP (Service Pack 2 v.2162) box.
> 
> Current FX Build (I use the zip packages):
> Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7) Gecko/20040728
> Firefox/0.9.1+
> 
> Extensions:
> Tabbrowser Preferences 0.6.8
> All-In-One Mouse Gestures 0.12.1
> SuperScroll 1.5.2
> Close Tab on Double Click 0.1.1
> 
> File Associations:
>      Action: open
>      Application used to perform action: D:\APPS\FIREFOX\FIREFOX.EXE -url "%1"
>      Use DDE: checked
>      DDE Message: "%1",,0,0,,,, (Will never stay clear)
>      Application: Firefox
>      DDE Application Not Running: blank
>      Topic: WWW_OpenURL
> 
> Even after using the registry patch provided in the bug attachments the DDE
> Message will not stay blank.
> 
> Firefox is set as my default browser.
> 
> I have tried removing all Firefox registry entries, creating a new profile, and
> using a fresh build, and the same problem still exists.
> 
> Always reproducable on my machine:
> Start -> Run: http://www.url1.com
> Start -> Run: http://www.url2.com
> Start -> Run: http://www.url3.com
> Start -> Run: http://www.url4.com
> 
> Result: url1 opens in new window 1
>         url2 opens in new window 2
>         url3 opens in new tab in window 1
>         url4 opens in new tab in window 2
> 
> This is my first comment in a bug report, if this is the wrong procedure please
> let me know: brycesub (AT) gmail.com

Get the same results, should we reset the status of this bug or file a new bug
on this DDE error?
Comment 179 Mike Connor [:mconnor] 2004-07-29 07:31:46 PDT
tabbrowser prefs is the likely cause here (or TBE if people are using that).

See comments 171-174

those extensions may need to be updated to work with current Firefox, its not
necessarily a bug in Firefox, since it works without those extensions.
Comment 180 Rick Friedman 2004-07-29 07:47:53 PDT
(In reply to comment #179)
> tabbrowser prefs is the likely cause here (or TBE if people are using that).
> 
> See comments 171-174
> 
> those extensions may need to be updated to work with current Firefox, its not
> necessarily a bug in Firefox, since it works without those extensions.

Well, I'm not sure about that. I just uninstalled Tabbrowser prefs and restarted
the 20040728 nightly. External links are STILL opening a new window. I think
this bug should definitely be reopened.
Comment 181 Worcester12345 2004-07-29 08:47:27 PDT
Still getting it.

Using Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7) Gecko/20040729
Firefox/0.9.1+ 

Extensions: 
Popup Count 0.2.5
SessionSaver 0.2d
Show Old Extensions 0.1.6
text/plain 1.1
Duplicate Tab 0.2
Adblock v.5 d2 * nightly 39
Bookmark Backup 0.3
Context Highlight 0.1
Single Window 1.0
Dictionary Search 0.6.3
Context Search 0.2
Make Link 1.2
Bookmarks LinkChecker 0.6.8

I am NOT using TBP or TBE.

Also, today it is doing just a blank window in a new tab as well.
Comment 182 Mike Connor [:mconnor] 2004-07-29 09:29:33 PDT
don't reopen this bug for external links opening in a new window.  That's
something different, not the same as this bug.

Single Window also has the same issues as TBP/TBE.
Comment 183 Aaron Kaluszka 2004-07-29 09:52:26 PDT
Was this fixed on trunk?  I am getting this problem on a completely fresh
install with a trunk build from today.
Comment 184 Ger Teunis 2004-07-29 10:39:23 PDT
I've filed external link bug
http://bugzilla.mozilla.org/show_bug.cgi?id=253571
Please send comments to g.teunis [at] wenus.cjb.net
or vote for the bug :)
Comment 185 Bill Mason 2004-07-29 10:42:32 PDT
*** Bug 253568 has been marked as a duplicate of this bug. ***
Comment 186 Dan Loomis 2004-07-29 13:10:52 PDT
(In reply to comment #184)
> I've filed external link bug
> http://bugzilla.mozilla.org/show_bug.cgi?id=253571
> Please send comments to g.teunis [at] wenus.cjb.net
> or vote for the bug :)

I see the same problems running Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US;
rv:1.7) Gecko/20040729 Firefox/0.9.1+ (Installer build with existing profile)
with TBP 0.6.8.  You get two windows before you start getting more tabs.  I've
sent a note to the maintainer of TBP.  
I find this behavious curious because I applied the registry patch for this
problem a week or so ago and had no such problems with multiple windows with
either the nightlies I run or the mmoy build I run on my primary system.  

BTW Your bug as already been marked as "resolved invalid".  We need to dig some
and make sure that this isn't something that should be fixed in the extensions.
   I tried unchecking USE DDE in TBP and that did not change the behaviour so
perhaps TBP is not using DDE.  Is it possible that there is some junk left
behind in our registries that is causing this behaviour?

Comment 187 Ger Teunis 2004-07-29 13:44:07 PDT
> I see the same problems running Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US;
> rv:1.7) Gecko/20040729 Firefox/0.9.1+ (Installer build with existing profile)
> with TBP 0.6.8.  You get two windows before you start getting more tabs.  I've
> sent a note to the maintainer of TBP.  
> I find this behavious curious because I applied the registry patch for this
> problem a week or so ago and had no such problems with multiple windows with
> either the nightlies I run or the mmoy build I run on my primary system.  
> 
> BTW Your bug as already been marked as "resolved invalid".  We need to dig some
> and make sure that this isn't something that should be fixed in the extensions.
>    I tried unchecking USE DDE in TBP and that did not change the behaviour so
> perhaps TBP is not using DDE.  Is it possible that there is some junk left
> behind in our registries that is causing this behaviour?

All "one window" extensions work on 20040726 (before this patch)

My situation
1. Cleaned profile
2. Cleaned programdir
3. Cleaned all registry entries (firefox and mozilla keys)
4. unzipped 20040729
5. install _any_ "one window" extension (checked SingleWindow, Window-Q, TBP)
6. always 2 windows, alternating on new tabs.

Now: when I unzip the 20040726 version over 20040729: the extensions work again,
I'm almost absolutely sure this checkin is busing the one window extensions.
Comment 188 Greg K Nicholson [:gkn] 2004-07-29 13:53:55 PDT
(In reply to comment #187)
> I'm almost absolutely sure this checkin is busing the one window extensions.

It is, but - and this bit's important - this is not a bug in Firefox (see
comment 179). The extensions will have to be updated to account for this change.

(This means no more comments about broken single-window functionality in
extensions, please)
Comment 189 Worcester12345 2004-07-29 16:07:09 PDT
(In reply to comment #179)
> tabbrowser prefs is the likely cause here (or TBE if people are using that).
> 
> See comments 171-174
> 
> those extensions may need to be updated to work with current Firefox, its not
> necessarily a bug in Firefox, since it works without those extensions.

For the record, I didn't and don't have TBE or TBP installed. I do, however,
have Single Window 1.0 installed. Hope that helps in some way.
Comment 190 Worcester12345 2004-07-29 16:17:06 PDT
Sorry for the semi-duplicate (181 and 189).

I must have gotten this out of sequence or something. Hope maybe it clarified or
something at least.
Comment 191 Bill Mason 2004-07-30 09:48:20 PDT
*** Bug 253737 has been marked as a duplicate of this bug. ***
Comment 192 Michael Lefevre 2004-07-30 18:23:26 PDT
*** Bug 253797 has been marked as a duplicate of this bug. ***
Comment 193 Bradley Chapman (not reading bugmail, still gone but not forever) 2004-07-31 00:14:12 PDT
(In reply to comment #179)
> tabbrowser prefs is the likely cause here (or TBE if people are using that).
> 
> See comments 171-174
> 
> those extensions may need to be updated to work with current Firefox, its not
> necessarily a bug in Firefox, since it works without those extensions.

Could someone provide clues then on where we (the tabbed extension authors) need
to look to figure out what we need to fix?
Comment 194 hal sandick 2004-07-31 05:46:49 PDT
(In reply to comment #192)
> *** Bug 253797 has been marked as a duplicate of this bug. ***

The bug report says this is resolved.  when will the fix be available?

hal

Comment 195 Michael Lefevre 2004-07-31 05:51:41 PDT
Hal - Fix will be in the next release (1.0PR1) which is due out soon. You can
fix it up temporarily - http://johnhaller.com/jh/mozilla/firefox_bug_246078.asp 
Comment 196 Bill Mason 2004-08-02 08:30:29 PDT
*** Bug 253989 has been marked as a duplicate of this bug. ***
Comment 197 Worcester12345 2004-08-02 11:16:50 PDT
(In reply to comment #174)
> (In reply to comment #173)
> > (In reply to comment #172)
> > > Also the single window extension dont work anymore, dont know if its related.
> > > This since the patch in comment 151 was checked in. Using latest nightly
branch
> > > build.
> > 
> > Yes; I can confirm that Single Window and Tabbrowser Preferences don't work as
> > expected. Single Window opens a second window when the first external link is
> > followed, and then alternates between the two windows for every subsequent new
> > tab. (TBP may do the same, I haven't tested it.)
> > 
> > WinXP Gecko/20040727 Firefox/0.9.1+
> 
> 
> 
> Aha! That's what's causing this. I'm getting the same thing. Kind of a neat
> effect, but not desired.
> 
> Using: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7) Gecko/20040728
> Firefox/0.9.1+ (bangbang023)



This seems to have come back with this build: Mozilla/5.0 (Windows; U; Windows
NT 5.1; en-US; rv:1.7) Gecko/20040802 Firefox/0.9.1+ (bangbang023)


I don't know how to reopen a bug, but this one needs to be reopened.
Comment 198 Ryan Polk (Quark) 2004-08-02 13:20:40 PDT
Using the standard test:
1)Set IE Default
2)Set Firefox Default
3)Start -> Run -> http://www.google.com

This still WFM, fresh selfbuild (8/2).  You probably opened a pre-patched
version of firefox that garbled the DDE registry entries again.
Comment 199 Ryan Polk (Quark) 2004-08-02 17:24:37 PDT
*** Bug 239385 has been marked as a duplicate of this bug. ***
Comment 200 Worcester12345 2004-08-03 06:39:44 PDT
(In reply to comment #198)
> Using the standard test:
> 1)Set IE Default
> 2)Set Firefox Default
> 3)Start -> Run -> http://www.google.com
> 
> This still WFM, fresh selfbuild (8/2).  You probably opened a pre-patched
> version of firefox that garbled the DDE registry entries again.


The builder (bangbang) said this was from a "fresh pull". 

see: http://forums.mozillazine.org/viewtopic.php?t=62390&start=705
Comment 201 Worcester12345 2004-08-03 10:50:02 PDT
(In reply to comment #195)
> Hal - Fix will be in the next release (1.0PR1) which is due out soon. You can
> fix it up temporarily - http://johnhaller.com/jh/mozilla/firefox_bug_246078.asp 


I just now tried the third (most recent) patch on this site, and am still seeing
the problem. Extensions still the same as my previous posts (no TBP and no TBE).

Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7) Gecko/20040803
Firefox/0.9.1+ (bangbang023)


Thanks.

Someone reopen this one please.
Comment 202 Mike Connor [:mconnor] 2004-08-03 11:17:16 PDT
for the third (or fourth) time: Single Window 1.0 is pretty much the same as
TBE/TBP wrt to this bug.  This bug as reported is fixed.
Comment 203 Bill Mason 2004-08-03 14:08:00 PDT
*** Bug 254200 has been marked as a duplicate of this bug. ***
Comment 204 Bill Mason 2004-08-03 14:08:03 PDT
*** Bug 254201 has been marked as a duplicate of this bug. ***
Comment 205 Worcester12345 2004-08-03 15:09:44 PDT
(In reply to comment #202)
> for the third (or fourth) time: Single Window 1.0 is pretty much the same as
> TBE/TBP wrt to this bug.  This bug as reported is fixed.

I haven't changed Single Window, but the bug went away for a few days there and
then came back. Just wanted to add that comment in case anyone else has the same
thing or if necessary for future troubleshooting. Thanks.
Comment 206 Ryan Polk (Quark) 2004-08-04 18:09:51 PDT
*** Bug 254324 has been marked as a duplicate of this bug. ***
Comment 207 Ryan Polk (Quark) 2004-08-05 05:31:36 PDT
*** Bug 254426 has been marked as a duplicate of this bug. ***
Comment 208 Ryan Polk (Quark) 2004-08-05 05:44:42 PDT
*** Bug 254423 has been marked as a duplicate of this bug. ***
Comment 209 Bill Mason 2004-08-05 14:40:28 PDT
*** Bug 254484 has been marked as a duplicate of this bug. ***
Comment 210 Robert Strong [:rstrong] (use needinfo to contact me) 2004-08-05 15:19:54 PDT
I found this bug when considerring opeing a new bug for the following (there is
additional information regarding the registry info below that seems to be due to
the way this bug has been fixed). Should a new bug be opened, should this bug be
reopened, or is this something else?
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7) Gecko/20040805
Firefox/0.9.1+
Clean Profile with no extensions.

Open regedit and navigate to HKEY_CLASSES_ROOT\HTTP\shell\ and note that there
is a ddexec key
Start Firefox with IE set as default browser.
When prompted to make Firefox the default browser click ok.
refresh regedit and note that there is a ddexec key
Exit Firefox
refresh regedit and note that the ddexec key is removed

Start Firefox
refresh regedit and note that the ddexec key is added back
Go to start - run, type an url (e.g. http://www.google.com), and click OK.
An error message is displayed stating
Windows cannot find http://www.google.com/. Make sure you typed the name
correctly, and then try again.
To search for a file, click the Start button, and then click Search.
Firefox opens http://www.google.com in spite of the error.

Workaround / hack for WinXP (I believe Win2K can use regedt32 to accomplish the
same results):
Exit Firefox.
refresh regedit and verify that the ddexec key is removed.
create a new key named ddeexec.
Select the newly created ddeexec key.
Select Edit - Permissions
Select the Advanced button
Uncheck Inherit from parent permissions the permissions... ad nauseum
Check Replace permission entries on all child... ad nauseum
To verify launch Firefox and then go to start - run, type an url (e.g.
http://www.google.com), and click OK.
No error message should appear.
Comment 211 José Jeria 2004-08-06 01:04:55 PDT
This issue seems to be back, bug 254525 (reported with build 20040805) and bug
254533 (reported with 20040806) have been filed.
Comment 212 Michael Lefevre 2004-08-07 06:44:12 PDT
*** Bug 254653 has been marked as a duplicate of this bug. ***
Comment 213 Ryan Polk (Quark) 2004-08-10 18:40:29 PDT
*** Bug 254856 has been marked as a duplicate of this bug. ***
Comment 214 Ben Basson 2004-08-12 18:55:00 PDT
Quick note for those who are having problems with TBE/TBP... If you go to
HKEY_CLASSES_ROOT\HTTP\shell\open\command in regedit, removing the -url switch
(leave the "%1" and everything else) will make Firefox behave as you want it to.
Firefox will complain that it isn't the default browser now, but it still is.
Comment 215 Worcester12345 2004-08-13 06:28:34 PDT
Geez, will SOMEONE reopen this one please? Look how many duplicates have come in
since it was "fixed". Look at all the new posts since it was "fixed". 
Comment 216 Robert Pendell 2004-08-13 06:51:46 PDT
Just a note that this bug is FIXED.  It is a problem in the extension that the
author must fix.  It is no longer a bug in Firefox and is now the expected
behavior.  Tabbrowser Extensions now works properly with the latest builds
(verified).  I have emailed the author of Tabbrowser Preferences and he is going
to be researching it in order to adapt it to his extension.  Please do not post
any new comments to this bug report!
Comment 217 Ryan Polk (Quark) 2004-08-13 07:23:29 PDT
(In reply to comment #215)
> Geez, will SOMEONE reopen this one please? Look how many duplicates have come in
> since it was "fixed". Look at all the new posts since it was "fixed". 

Can you READ or not?  In case you failed to notice, the bugs duped to this one
after it was fixed share the same trait -> they are 0.9.x release builds, not
nightlies.  Therefore, they DON'T have the patch yet.  Anything new should be
talked about in bug 254525, because that is only ONE LIMITED part of DDE, and a
part that is now WFM for many people.  Unless you can help pinpoint the cause of
bug 254525, I suggest you stop posting pointless comments.
Comment 218 mohican 2004-08-16 13:00:09 PDT
Hi

Anyone heard any word when the bug will be fixed in the release versions

Many Thanks
Comment 219 Ryan Polk (Quark) 2004-08-16 15:59:46 PDT
*** Bug 252284 has been marked as a duplicate of this bug. ***
Comment 220 Mike Connor [:mconnor] 2004-08-18 08:45:32 PDT
*** Bug 255997 has been marked as a duplicate of this bug. ***
Comment 221 Jo Hermans 2004-08-18 12:28:57 PDT
*** Bug 256011 has been marked as a duplicate of this bug. ***
Comment 222 Bill Mason 2004-08-18 13:19:11 PDT
*** Bug 256022 has been marked as a duplicate of this bug. ***
Comment 223 Jesse Ruderman 2004-08-19 11:36:15 PDT
*** Bug 256080 has been marked as a duplicate of this bug. ***
Comment 224 Ryan Polk (Quark) 2004-08-19 16:40:03 PDT
*** Bug 256212 has been marked as a duplicate of this bug. ***
Comment 225 Jesse Ruderman 2004-08-20 11:39:01 PDT
*** Bug 256312 has been marked as a duplicate of this bug. ***
Comment 226 Peter van der Woude [:Peter6] 2004-08-20 14:36:00 PDT
*** Bug 256341 has been marked as a duplicate of this bug. ***
Comment 227 Mike Connor [:mconnor] 2004-08-21 07:27:13 PDT
*** Bug 256343 has been marked as a duplicate of this bug. ***
Comment 228 Oleg Sidletskiy 2004-08-24 21:24:38 PDT
*** Bug 256800 has been marked as a duplicate of this bug. ***
Comment 229 Ryan Polk (Quark) 2004-08-28 10:05:49 PDT
*** Bug 257246 has been marked as a duplicate of this bug. ***
Comment 230 Ryan Polk (Quark) 2004-08-28 18:30:43 PDT
*** Bug 257244 has been marked as a duplicate of this bug. ***
Comment 231 Ryan Polk (Quark) 2004-08-29 07:30:56 PDT
*** Bug 257322 has been marked as a duplicate of this bug. ***
Comment 232 :Gavin Sharp [email: gavin@gavinsharp.com] 2004-08-30 18:51:39 PDT
*** Bug 257449 has been marked as a duplicate of this bug. ***
Comment 233 :Gavin Sharp [email: gavin@gavinsharp.com] 2004-08-30 19:08:12 PDT
*** Bug 248067 has been marked as a duplicate of this bug. ***
Comment 234 Ryan Polk (Quark) 2004-09-05 07:50:34 PDT
*** Bug 257893 has been marked as a duplicate of this bug. ***
Comment 235 Ryan Polk (Quark) 2004-09-05 07:50:45 PDT
*** Bug 258090 has been marked as a duplicate of this bug. ***
Comment 236 Ryan Polk (Quark) 2004-09-07 18:56:40 PDT
*** Bug 258108 has been marked as a duplicate of this bug. ***
Comment 237 Ryan Polk (Quark) 2004-09-09 15:06:18 PDT
*** Bug 258330 has been marked as a duplicate of this bug. ***
Comment 238 Jay Rossiter 2004-09-13 01:14:01 PDT
I really can't see how people claim this is fixed.  I'm still seeing the exact
behavior described in Comment #25, but I'm using 1.0PR 20040911.

There are no tab extensions installed at all, so this is completely unrelated to
them.  (They were installed, but have been uninstalled as a matter of testing.)

If I clear the DDE settings back to "Firefox" / "System", the moment Firefox is
launched, it reverts to:
"%1",,-1,0,,,,
Firefox

WWW_URLOpen

...

This is not related to shortcuts and has nothing to do with bug 254525.
Comment 239 Aaron Kaluszka 2004-09-13 04:10:30 PDT
I also never had comment 183 addressed.  Was this actually fixed on trunk?  I
installed the latest trunk on a completely fresh install of Windows 2003 and did
not install any extensions.  Opening URLs from other apps resulted in one
Firefox and one IE window opening.  I then installed the latest branch build and
the problem went away.  I then installed the trunk build again and the problem
remained gone.  I had this exact behavior happen on a different machine on
Windows 2000 as well.
Comment 240 Serge 2004-09-15 21:21:14 PDT
I can confirm the Comment #238. It's NOT FIXED !!!
Comment 241 Ryan Polk (Quark) 2004-09-16 14:34:22 PDT
*** Bug 259336 has been marked as a duplicate of this bug. ***
Comment 242 Ryan Polk (Quark) 2004-09-17 15:49:04 PDT
*** Bug 260144 has been marked as a duplicate of this bug. ***
Comment 243 Ryan Polk (Quark) 2004-09-20 10:50:42 PDT
*** Bug 260547 has been marked as a duplicate of this bug. ***
Comment 244 Troy Murray 2004-09-28 08:36:46 PDT
anyone know if this bug has been fixed yet in either nightly or trunk builds? 
IT IS SO ANNOYING!
Comment 245 Worcester12345 2004-11-12 15:56:11 PST
I don't know if this is related or not, but check 
Disable Targets For Downloads 0.8 at http://www.cusser.net/

This extension avoids an extra window when downloading at least.
Comment 246 Worcester12345 2004-11-12 15:58:46 PST
Sorry for that. I now see this bug is fixed (assuming on branch and trunk). I
wish there was a way to delete bugzilla comments.
Comment 247 Fredrik Branstrom 2005-09-19 23:59:22 PDT
I'm experiencing this problem again, in 1.5 Beta. I can't open links from
Miranda IM message session windows, and when I type a URL (with http:// of
course) into the Run box it says it does not have a program associated with the
"file"...
Comment 248 Henrik Skupin (:whimboo) 2005-09-20 00:09:52 PDT
(In reply to comment #247)
> I'm experiencing this problem again, in 1.5 Beta. I can't open links from
> Miranda IM message session windows, and when I type a URL (with http:// of
> course) into the Run box it says it does not have a program associated with the
> "file"...

Work fine for me with Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.8b4)
Gecko/20050907 Firefox/1.4. I can't experience such an issue.
Comment 249 William Bumgarner [:zsinj] 2005-09-28 10:34:30 PDT
*** Bug 248513 has been marked as a duplicate of this bug. ***
Comment 250 K. Bowen 2006-02-11 20:59:10 PST
This started happening for me in 1.5, still doing it in 1.5.0.1.  Had never happened for me before that.  I'm also getting double Thunderbird windows sometimes when opening that app.
Comment 251 K. Bowen 2006-02-11 21:02:57 PST
Should add that I'm using Windows 2000, not XP.
Comment 252 Bruce Terry 2006-06-07 14:56:18 PDT
This is happening for me on Firefox 1.5.0.4 and previous versions of Firefox 1.5.  If I launch an .htm file from Notetab with Firefox as the default browser and Firefox is not running, it will launch Firefox with two tabs: one blank and one with a WebCrawler search page.  It works correctly if Firefox is already running.

Blake, please reopen this bug as I am getting complaints from users that I have switched to Firefox.
Comment 253 Worcester12345 2006-06-07 15:19:05 PDT
I am seeing it more frequently as well with Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.0.4) Gecko/20060607 Firefox/1.5.0.4 ID:2006060706 even with the extension installed. It almost ALWAYS does it now with .pdf files.
Comment 254 Marc Bejarano 2006-06-07 15:28:34 PDT
apparently the status whiteboard field wasn't conspicuous enough to you folks.  i'll repeat it here:
[READ COMMENTS #216 & #217 BEFORE POSTING]

this bug is verified fixed.  if you're seeing something that you think is a bug, it is something different.  please open a new bug.
Comment 255 Canberran 2007-07-14 00:27:36 PDT
(In reply to comment #6)

> Another workaround is to do the following:
> 1. Open Explorer
> 2. Select Tools and then Folder Options

Does anyone have a fix for IE7?  The "Folder Options" option doesn't appear in IE7.
Cheers
Canberran
Comment 256 Bruce Erlichman 2007-07-25 10:25:17 PDT
Getting "generic" icon for Firefox HTML requests.
Tried everything: properties, registry changes, Tools/Folder,etc.
Not sure this is proper place but need help in
changing the generic icon to Firefox icon.

Comment 257 Gary German 2007-08-04 07:07:19 PDT
This bug is most decidedly *not* fixed.  I followed the instructions for fixing it, as recommended in KB (http://kb.mozillazine.org/Windows_error_opening_Internet_shortcut_or_local_HTML_file_-_Firefox).  This fixed the problem in version 2.0.0.5.  Upgrading to version 2.0.0.6 brought this bug back.
Comment 258 Sam Fatoohi 2007-08-13 14:00:46 PDT
I second Gary. Whenever I update to the latest firefox, the problem resurfaces and I have to update my window settings. This happens whenever I enter in a URL from Start>>Run and also if I click through a URL in Outlook.
Comment 259 Gili 2007-09-23 17:53:46 PDT
I also agree with Gary. Can someone please reopen this issue?
Comment 260 Don 2007-10-25 14:52:36 PDT
From the point of view of the casual (non-technical) user, this is a fatal bug and has DEFINATELY never been fixed. With every forced update the registry is set back to the defective settings.

The only fix is to disable the auto-update function of Firefox (it's inconvenient, agressive, and excessive anyway).
Comment 261 M MM 2007-11-05 14:16:32 PST
I'm using 2.0.0.9 under Windows XP and I'm still seeing this bug. I had fixed it twice already, when previous updates re-broke it.
Comment 262 Henrik Skupin (:whimboo) 2007-11-12 14:28:27 PST
Can someone of you give a registry diff so we can have a look which registry values are changed? Therefor do a full export of the registry before and after an update. After that use any diff viewer to get the list of keys. 
Comment 263 Ben McDonald 2007-11-14 12:10:39 PST
FYI, I just narrowed this down to the Google Gears Add-On for one of my computers.  What additional information can I provide to further narrow down this bug?
Comment 264 engeeaitch 2007-12-01 07:14:11 PST
I am suffering the same problem.  I had cleared all the DDE entries and all was well until this morning's Firefox upgrade, when the DDE entries were re-set, and the problem re-occurred.

I am running Vista, Firefox 2.0.0.11, Adblock Plus 0.7.5.3, British English Dictionary 1.19, Google Toolbar 3.0.20070525W, IE Tab 1.3.3.20070528, IE View Lite 1.3.1, Print Context Menu 1.1 and Skype Extension for Firefox 2.2.0.70

Any assistance gratefully received.
Comment 265 Karl He 2007-12-16 18:43:47 PST
Like engeeaitch, this bug has surfaced for me recently, in the last few days.

I fixed it using the same fix for the original bug (http://johnhaller.com/jh/mozilla/firefox_bug_246078.asp).
Comment 266 engeeaitch 2008-02-08 10:43:45 PST
It's been a while since I've had a Firefox update - but sure enough, today I had an update, and the bug has re-appeared.  I have a copy of the registry before and after if this helps (but not sure that I want to give this out without editing it first).
Comment 267 Brian 2008-02-08 12:51:07 PST
This bug is a dupe of so many of the same bugs it is getting crazy. I has happened for me ever since 2.0.0.0 (maybe before). 

It is most definitely NOT fixed.... Stop closing the bugs as "verified fixed"

Every other dupe (this one included) of this bug suggests deleting the ddeexec keys from the registry entries below, but this is only a temporary fix. After your Firefox installation "auto upgrades" it breaks the registry keys again!

The problem is recreated when the upgrade adds the ddeexec keys with the (default) string value of "%1",,0,0,,,,

To fix (temporary, will break again on update or reinstall), remove the ddeexec entries from the following keys:

HKCR\HTTP\shell\open
HKCR\htmlfile\shell\open
HKCR\htmlfile\shell\opennew
HKCR\ftp\shell\open
HKCR\gopher\shell\open
HKCR\https\shell\open
HKCR\FirefoxHTML\shell\open
HKCR\FirefoxURL\shell\open

(May be more keys, but this is all I could find so far)

This is a verified issue with both Windows XP and Windows Vista (all versions)

Comment 268 Mike Connor [:mconnor] 2008-02-16 17:27:22 PST
If this is happening again, please file a new bug.  Commenting in a bug that was fixed over three years ago isn't going to do much good.  neither is spamming multiple bugs with copy/paste, that's more likely to just irritate people...
Comment 269 Jay Rossiter 2008-02-16 22:59:36 PST
This bug was NEVER fixed.  I've been monitoring it for years.

The only references anywhere in the bug to it being "fixed" are by people who manually deleted the ddeexec keys from the registry, at which point they said the error dialog stopped appearing.  It had nothing to do with any checkin or fix by the Mozilla team.

One single person said that a patch worked for them, but many others said that it was of no help at all.
Comment 270 M MM 2008-02-22 07:03:28 PST
It happened to me just now, when I clicked the link to this bug comment from inside Outlook.

Also, anytime I get a Firefox update, I have to go into Windows folder options and disable dde.

From what I've seen, it's never been fixed. I use Firefox as my default browser on my home PC and my work PC. My OS is Windows XP.
Comment 271 Bert 2008-03-27 15:45:18 PDT
I have Vista, with ff set as my default browser. I didn't have this problem until tonight when I installed and uninstalled two extensions
https://addons.mozilla.org/en-US/firefox/addon/3006 and http://max.subfighter.com/flv/downloader.php
Afterwards I noticed this error clicking on a link in an e-mail in Windows mail.
I see the bug is supposedly to be fixed, but doing the registry fix or the patch thing has not removed the unwanted behaviour.
Comment 272 Gary German 2008-03-27 16:04:59 PDT
As others have repeatedly noted...this bug is most definitely NOT FIXED!

It reappears every single time there's an update to FireFox 2.x.  It may be fixed in FireFox 3.x (I'm not sure - haven't had time to test it).

The recent update to FireFox (2.0.0.12) has once again caused this bug to reappear on all my systems.

Perhaps it's an add-ons/extensions issue - I typically run DOM Inspector (1.8.1.12), Firebug (1.05), Google Toolbar for Firefox (3.0.20070525W), JavaScript Debugger (0.9.87.3), and Talkback (2.0.0.12).

Regardless of whether it's in the core product or an extension...I really don't care.  It's still a very irritating bug, and many people seem to be affected by it.

Is there any way to re-open this bug?  

The fact that it's had hundreds of comments after it was supposedly "fixed" clearly indicates that it is an ongoing problem that needs to be addressed.
Comment 273 Gary German 2008-03-27 16:12:55 PDT
(In reply to comment #268)
> If this is happening again, please file a new bug.  Commenting in a bug that
> was fixed over three years ago isn't going to do much good.  neither is
> spamming multiple bugs with copy/paste, that's more likely to just irritate
> people...

Is there any way to re-open this bug?  

As many folks have noted, this bug has persisted for a long, long time despite the "verified fixed" status.  

There's plenty of good information in the comments here regarding the nature and extent of the problem, along with temporary solutions and workarounds. 

From my perspective as a professional developer, re-opening this bug would seem to be a better approach than opening a brand new bug.
Comment 274 engeeaitch 2008-03-28 23:13:36 PDT
I have just had exactly the same problem re-occur after the recent upgrade to 2.0.0.12.  The problem seems to be so easy to reproduce that I am surprised that it has not been fixed.  Perhaps it has not yet been accepted as a bug?  How do we get this bug re-opened?
Comment 275 Ed Hume 2008-03-29 08:24:18 PDT
Try filing a new bug for fx 2.0.0.12?
Comment 276 Bert 2008-03-31 04:39:33 PDT
I filed a new bug report here: https://bugzilla.mozilla.org/show_bug.cgi?id=426164
Comment 277 Ken Snyder 2008-04-02 16:10:21 PDT
I agree... This bug still exists with vista.

I will try the resolution for Bug 254525.

I am also curios to see if the fix discussed below works for VISTA?
I have a .reg file that should fix the problem on affected systems:
http://johnhaller.com/jh/mozilla/firefox_bug_246078.asp

Ken Snyder
Comment 278 Luke 2008-04-06 11:45:58 PDT
The "Windows cannot find 'http: " error message still pops up in the latest 
Mozilla Firefox 3 Beta 5 ( Build 2008032620 )
when you click on a short cut in Windows XP when Firefox is not running.
Comment 279 Robert Strong [:rstrong] (use needinfo to contact me) 2008-04-14 12:32:26 PDT
Commenting in this bug isn't going to help. The patch that landed in this bug caused other bugs and was a hack at best. Bug 389502 is a meta bug for this same issue... please only comment there if you have read this bug and the depending bugs and have new information to add.
Comment 280 Conquerz 2008-07-02 09:32:08 PDT
Woow, another bug for firefox which hasn't been fixed for years and years. :(

In the past, when I came across this bug, deleting the appropriate ddeexec keys in regiedit used to resolve the issue, but with the latest update of firefox yesterday (version 2.0.0.15), this bug is back and CANNOT be resolved by deleting the ddeexec keys. However, shortcuts to internet paged from desktop work normally, but clicking on a link in an mail client gives the error:

Cannot find
'file:///C:/'http://..............\.
Make sure the path or Internet address is correct.

The browser window does not open when I receive the error.

The issue does NOT get resolved if I switch between firefox and internet explorer as the default browser. So even if I make Internet Explorer as the default browser, I still get this error message.

This error appeared as soon as I updated firefox to version 2.0.0.15 yesterday when only few minutes before links were working fine from my mail client.
Comment 281 Robert Strong [:rstrong] (use needinfo to contact me) 2008-07-02 10:22:22 PDT
Conquerz, could you provide a list of the applications with their version numbers you have installed on your system?
Comment 282 Conquerz 2008-07-02 10:39:21 PDT
(In reply to comment #281)
> Conquerz, could you provide a list of the applications with their version
> numbers you have installed on your system?
> 


I don't know which ones you want, but the ones that are related to this issue are:

Vista Ultimate
Firefix 2.0.0.15
Internet Explorer 7
Pop Peeper 3.2
Comment 283 Robert Strong [:rstrong] (use needinfo to contact me) 2008-07-02 10:49:49 PDT
Chances are you have an application that is interfering with DDE messaging on your system or slowing down the launch of Firefox so DDE Messaging isn't initiated quickly enough. Why did you mention Pop Peeper? Did you recently install or update it?
Comment 284 Conquerz 2008-07-02 10:55:42 PDT
(In reply to comment #283)
> Chances are you have an application that is interfering with DDE messaging on
> your system or slowing down the launch of Firefox so DDE Messaging isn't
> initiated quickly enough. Why did you mention Pop Peeper? Did you recently
> install or update it?
> 

Because it's in POP Peeper that http links don't work when I click on them. I haven't updated anything other than firefox yesterday. And the links were working fine before the firefox update because I use pop peeper a lot.

When I point to a link, I see

file:///C:/'http://..............\'

in status bar, instead of http://........
Comment 285 Robert Strong [:rstrong] (use needinfo to contact me) 2008-07-02 11:02:10 PDT
Conquerz, giled Bug 443222 for this... we can continue trying to figure this out over there.

Note You need to log in before you can comment on or make changes to this bug.